function loglik_i = comp_loglike(x,H,F,Q,Sigmau,nstate)

%compute individual log likelihood

data = x; %read in data of spell
identmat=eye(size(H,1));
Ptgtm1 = lyapunov_symm(F,Q,1,1e-15); %
Zhattp1=zeros(nstate,1);
T=size(data,1);
loglik = 0; % initialize log-likelihood
for t=1:T
    omega=F*Ptgtm1*F'+Q;
    sigma=H*omega*H'+Sigmau;
    if det(sigma)<=0
        loglik=Inf;
        return
    end
    invsigma = sigma\identmat;
    k=omega*H'*invsigma;
    res=data(t,:)'-H*(F*Zhattp1);
    Zhattp1=F*Zhattp1+k*res;
    Ptgtm1=omega-k*H*omega;
    loglik = loglik -.5*(log(det(sigma))+(res'*invsigma*res));
end

loglik_i =-loglik;


end