clear all
close all
clc
%the main routine calculating the MA 12 Process of measurement error, using
%the Kalman filter to back out the individual likelihoods
%%

addpath('Z:\Uni\Het Agents\SIPP\Frictional Wage Dispersion\Stata')

data=csvread('error_final.out');

%recalculate spell number
data = [data zeros(length(data),1)];
data(1,3) = 1;
data(2:end,3) = diff(data(:,1));
data(data(:,3)>0,3) = 1;
data(:,1) = cumsum(data(:,3));
data(:,3) = [];

parameter = 0.1*ones(13,1);

epar = parameter;
npar = 13; 

InitHessian=1e-5*eye(npar);
GradFunc=[]; % gradient function (if available)
MaxOptAlgoCrit=1^-10; % tolerance level of algorithm
MaxOptAlgoIter=1000; % max number of iterations
H0 = 10*ones(npar,1);

%% estimation

x=firstpartransform_burnside(epar); %transform parameter
[MinFuncValue,parameter,mlresult_conventional.GradientAtOpt,mlresult_conventional.InvHessian] =csminwel('kalmanfilter_ml',x,InitHessian,GradFunc,MaxOptAlgoCrit,MaxOptAlgoIter,data);

parameter=secondpartransform_burnside(parameter); % retransform par

% save('par_alt.mat','parameter') %alternative calibration
save('par.mat','parameter') %these need to be plced into the folder "Model full"

%Table D2
parameter(13,1)
parameter(1:11,1)