function [loglik]=kalmanfilter_ml(par,panel)
%the function calculates the sum of individual likelihoods for the data set 
%"panel" given the parameter constellation "par"

par=secondpartransform_burnside(par); %retransform par

theta1 = par(1,1);
theta2 = par(2,1);
theta3 = par(3,1);
theta4 = par(4,1);
theta5 = par(5,1);
theta6 = par(6,1);
theta7 = par(7,1);
theta8 = par(8,1);
theta9 = par(9,1);
theta10 = par(10,1);
theta11 = par(11,1);
theta12 = par(12,1);

sigma_e = par(end,1);

sigma_eps = (sqrt(0.0027)/1.09)/2.753;%(sqrt(0.0027)/1.09)/2.753;  (sqrt(0.0027)/1.09)/2.957

Sigmau =sigma_eps^2; % covariance of beta2*sigma_eps
H= [1 theta1-1 theta2-theta1 theta3-theta2 theta4-theta3 theta5-theta4 theta6-theta5 theta7-theta6 theta8-theta7 theta9-theta8 theta10-theta9 theta11-theta10 theta12-theta11 -theta12];
F= [zeros(1,14); 1 zeros(1,13); 0 1 zeros(1,12); zeros(1,2) 1 zeros(1,11); zeros(1,3) 1 zeros(1,10); zeros(1,4) 1 zeros(1,9);...
    zeros(1,5) 1 zeros(1,8); zeros(1,6) 1 zeros(1,7); zeros(1,7) 1 zeros(1,6); zeros(1,8) 1 zeros(1,5); zeros(1,9) 1 zeros(1,4); zeros(1,10) 1 zeros(1,3); zeros(1,11) 1 zeros(1,2); zeros(1,12) 1 zeros(1,1)];
Q= zeros(size(F));
Q(1,1) = sigma_e^2;
%data=data-p_ss; %subtract steady state

nstate=size(F,1);

n_id = max(panel(:,1)); %number of agents

%% Kalman Filter Loop

fcn = @(x)comp_loglike(x,H,F,Q,Sigmau,nstate);
loglik_i = accumarray_expand(panel(:,2),panel(:,1),fcn);
loglik_i(2:end,2) = diff(panel(:,1));
loglik_i(1,2) = 1;
loglik_i(:,2) = loglik_i(:,2)~=0;
loglik_i = loglik_i(loglik_i(:,2)==1,:);
    
loglik = sum(loglik_i(:,1));

end
%disp(loglik)
