function [fenew,funew,mass_offers_headhunt,mass_force_distribute,mass_before_offers,mass_quitting,prob] = ...
    Dist_cohort(fe,fu,nasim,agridsim_m,fnodes,ProbE1,ProbU,destruct,job_offer,death,prob_loss,job_prob,breaklevel_1,gamma_w,Prob_Newborn,Prob_firm,job_force)
%one period change in distribution function without replacing dead workers

%wage potential transitions
fenew = full(ProbE1*sparse(fe));
funew = full(ProbU*sparse(fu));

      
% Agents die
mass.death_e = fenew*death;
mass.death_u = funew*death;
fenew = fenew-mass.death_e;
funew = funew-mass.death_u;
        
%jobs get exogenously destroyed
mass.destruct = fenew*destruct;  %cannot search this period
fenew = fenew-mass.destruct; 
        
% On the job offers realize 
mass_before_offers = fenew;    %mass of agents over productivity and firms in state 1 before outside offers realize
mass.offers_keep = mass_before_offers.*repmat((1-job_offer)+job_offer*(1-job_force)*(1-prob_loss'),nasim,1); %mass of agents that stay with firm type
mass_offers_headhunt = (mass_before_offers.*repmat(job_offer*(1-job_force)*prob_loss',nasim,1))*Prob_firm; %number of agents headhunted by firm type
mass.force_loss = job_offer*job_force*mass_before_offers; %mass of agents geting a forced job move
mass_force_distribute = (sum(mass.force_loss,2)*gamma_w'); %mass of agents each firm type gets offered from forced job moves

mass.force_accept = (mass_force_distribute).*((agridsim_m>=repmat(breaklevel_1(:,1)',nasim,1)).*(agridsim_m<=repmat(breaklevel_1(:,2)',nasim,1)));
mass.force_decline = mass_force_distribute-mass.force_accept;  %cannot look for job this period
mass.head_accept = mass_offers_headhunt.*((agridsim_m>=repmat(breaklevel_1(:,1)',nasim,1)).*(agridsim_m<=repmat(breaklevel_1(:,2)',nasim,1)));
mass.head_decline = mass_offers_headhunt-mass.head_accept; %cannot look for job this period
mass.move = mass.force_accept+mass.head_accept;

fenew = mass.offers_keep+mass.move; 

%quitters cannot search this period
mass.quitting = fenew.*((agridsim_m<repmat(breaklevel_1(:,1)',nasim,1))+(agridsim_m>repmat(breaklevel_1(:,2)',nasim,1)));
mass_quitting = mass.quitting;

fenew = fenew-mass.quitting;     


% Employment transitions 
mass.u = funew;


mass.ue = repmat(mass.u,1,fnodes).*((agridsim_m>=repmat(breaklevel_1(:,1)',nasim,1)).*...
    (agridsim_m<=repmat(breaklevel_1(:,2)',nasim,1))).*repmat(job_prob*gamma_w',nasim,1);


fenew = fenew+mass.ue; %unemployed find job
funew = funew-sum(mass.ue,2); %deduct newly employed from unemployment pool
        
funew = funew+sum(mass.destruct,2)+sum(mass.force_decline,2)+sum(mass.head_decline,2)+sum(mass.quitting,2); %exogenous layofs and denied on job offers become unemployed


%calculate transition probabilities
prob.ue = sum(sum(mass.ue,2))/sum(sum(fu));
prob.eu = (sum(sum(mass.quitting))+sum(sum(mass.destruct))+sum(sum(mass.force_decline))+...
    sum(sum(mass.head_decline)))/sum(sum(fe));
prob.move = sum(sum(sum(mass.move)))/sum(sum(fe));


end