function Mm = Mm_age(SIPP)

%compute Mm-ratio over the life-cycle

%delete the unemployed
SIPP(SIPP(:,2)==2,:) = [];

reg = ols(log(SIPP(:,6)),[ones(length(SIPP),1) SIPP(:,9)]); 
SIPP(:,6) = exp(reg.resid); 
 
Mm = zeros(15,1);

cohort = [2; 2*12; 4*12; 6*12; 8*12; 9*12; 11*12; 13*12; 14*12; 16*12; 18*12; 20*12; 22*12; 24*12; 27*12]+1;

index = SIPP(:,8)<=cohort(1,1);
wage.mean = sum(SIPP(logical(index),6))./length(SIPP(logical(index),:));
wage.fifth = prctile(SIPP(logical(index),6),5);
Mm(1,1) = wage.mean/wage.fifth;
for i = 2:length(cohort)
    index = (SIPP(:,8)>cohort(i-1,1)).*(SIPP(:,8)<=cohort(i,1));
    wage.mean = sum(SIPP(logical(index),6))./length(SIPP(logical(index),:));
    wage.fifth = prctile(SIPP(logical(index),6),5);
    Mm(i,1) = wage.mean/wage.fifth;
end


end