function [VEnew,VUnew] = VFI_benefits(VEold,VUold,agrid,amin,mu,delta,na,fnodes,gamma,prod_l,ind_weightE,ind_weightU,amax,w,b,L,job_offer,job_force,destruct,beta,job_prob,death)

%compute components of value function

EVE_aux1 = interp1(agrid,VEold,min(amax,max(amin,prod_l+mu)),'linear','extrap');  %2d array
EVU_aux1 = interp1(agrid,VUold,min(amax,max(amin,prod_l-delta)),'linear','extrap');
EVU_comp1 = interp1(agrid,VUold,min(amax,max(amin,prod_l+mu)),'linear','extrap');


%workers can choose next period employment conditional on observed wage
%shock

EVE_aux1 = max(EVE_aux1,repmat(EVU_comp1,[1 1 fnodes])); 

EVE = squeeze(sum(EVE_aux1.*ind_weightE,2));
EVU = squeeze(sum(EVU_aux1.*ind_weightU,2));



VE_aux = repmat(EVE,fnodes,1);

VE = max(repmat(reshape(EVE,numel(EVE),1),1,fnodes),VE_aux)*gamma;
VE = reshape(VE,na,fnodes);

VU = max(EVE(:,:),repmat(EVU(:,1),1,fnodes))*(gamma);%value of being contacted by an outside firm when unemployed


H = EVE; %value of continuing job

VEnew = w+(1-death)*beta*((1-destruct)*((1-job_offer)*H+...
    job_offer*((1-job_force)*VE+job_force*repmat(VU,1,fnodes)))+destruct*repmat(EVU,1,fnodes));

VUnew = b+L+(1-death)*beta*(job_prob*VU+(1-job_prob)*EVU);

end