function [bnew, Lnew] = benefits(agridsim,agrid,fenew,na,w,fnodes,bmin,bmax,rr_b,rr_l)

%updates benefits given the equilibrium wage schedule
bnew = zeros(na,1);
cum_fe_s = interp1(agridsim,cumsum(fenew),agrid,'linear');
fenew_s = zeros(na,fnodes);
fenew_s(1,:) = cum_fe_s(1,:);
fenew_s(2:end,:) = diff(cum_fe_s);
index = find(sum(fenew_s(:,:),1)>10^-20,1,'first'); %first active firm type
bnew(:,1) = max(bmin,min(bmax,rr_b*sum(w(:,index:end),2)/(fnodes-index+1))); %wages conditional on active firms
Lnew(:,1) = rr_l*sum(w(:,index:end),2)/(fnodes-index+1);

end