function [breaklevel_1] = breaklevel(VE,VU,fnodes,agrid,na)

%function returns the breaklevels for agents 

breakpoints.worker1 = zeros(fnodes,2); %for workers in lc = 1
for ff = 1:fnodes  
    if max(VE(:,ff)-VU) <= 0 %match is never profitable in LC1
        breakpoints.worker1(ff,1) = na;
        breakpoints.worker1(ff,2) = na;
    else
        breakpoints.worker1(ff,1) = find(VE(:,ff)-VU > 0, 1, 'first');
        breakpoints.worker1(ff,2) = find(VE(:,ff)-VU > 0, 1, 'last');
    end    
end
breaklevel_1 = zeros(fnodes,2); %for workers in lc = 1 (firm,bounds,benefits)

index1 = min(breakpoints.worker1(:,1),na);
breaklevel_1(index1==na,1) = agrid(na)+0.1; %no worker ever wants to work
breaklevel_1(index1<na,1) = agrid(index1(index1<na,1)); %agents do not break any longer
breaklevel_1(index1==na,2) = agrid(na)+0.1;



breaklevel_1(:,2) = agrid(max(breakpoints.worker1(:,2),index1));
breaklevel_1(breaklevel_1(:,2)==agrid(na,1),2) = agrid(na)+0.1;


end