function correct = check_correct(SIPP_study,fenew,funew,e,u,fnodes,nasim,gamma_n,agridsim)
%compare initialization from simmulation with theoretical distribution

%worker over job component conditional on employment
correct.E = cumsum((sum(fenew(:,:),1))/e)';
correct.E = [correct.E zeros(length(correct.E),1)];
for i = 1:fnodes
    correct.E(i,2) = sum((SIPP_study(:,5,1)<=gamma_n(i,1)).*(SIPP_study(:,2,1)==1))/sum(SIPP_study(:,2,1)==1);
end

%workers over individual wage component conditional on employment 
correct.E2 = cumsum((sum(fenew(:,:),2))/e);
correct.E2 = [correct.E2 zeros(length(correct.E2),1)];
for i = 1:nasim
    correct.E2(i,2) = sum((SIPP_study(:,4,1)<=agridsim(i,1)).*(SIPP_study(:,2,1)==1))/sum(SIPP_study(:,2,1)==1);
end

%workers over individual wage component conditional on unemployment
correct.U = cumsum((funew)/u);
correct.U = [correct.U zeros(length(correct.U),1)];
for i = 1:nasim
    correct.U(i,2) = sum((SIPP_study(:,4,1)<=agridsim(i,1)).*(SIPP_study(:,2,1)==2))/sum(SIPP_study(:,2,1)==2);
end

E1t = sum(sum(sum(fenew)))/(sum(sum(sum(fenew)))+sum(sum(sum(funew))));
E1s = sum((SIPP_study(:,2,1)==1))./(sum((SIPP_study(:,2,1)==1))+sum((SIPP_study(:,2,1)==2)));

correct.ER = [E1t; E1s]';

end