function correct = check_correct2(SIPP_study,fe,fu,fnodes,nasim,gamma_n,agridsim,R,ProbE1,ProbU,destruct,job_offer,death,prob_loss,job_prob,breaklevel_1,gamma_w,Prob_Newborn,Prob_firm,job_force)
%compare simmulation with theoretical distribution after T periods

%compute theoretical distribution after R periods
agridsim_m = repmat(agridsim,1,fnodes);
for i = 1:R-1
    [fenew,funew,~,~,~,~,~] =... %apply dist function
        Dist_cohort(fe,fu,nasim,agridsim_m,fnodes,ProbE1,ProbU,destruct,job_offer,death,prob_loss,job_prob,breaklevel_1,gamma_w,Prob_Newborn,Prob_firm,job_force);
        fe = fenew;
        fu = funew;
end

%calculate aggregates
e = sum(sum(fenew));
u = sum(funew);

%worker over job component conditional on employment
correct.E = cumsum((sum(fenew(:,:),1))/e)';
correct.E = [correct.E zeros(length(correct.E),1)];
for i = 1:fnodes
    correct.E(i,2) = sum((SIPP_study(:,1,end)==1).*(SIPP_study(:,5,end)<=gamma_n(i,1)).*(SIPP_study(:,2,end)==1))/sum((SIPP_study(:,1,end)==1).*(SIPP_study(:,2,end)==1));
end
 

%workers over individual component conditional on employment
correct.E2 = cumsum((sum(fenew,2))/e);
correct.E2 = [correct.E2 zeros(length(correct.E2),1)];
for i = 1:nasim
    correct.E2(i,2) = sum((SIPP_study(:,1,end)==1).*(SIPP_study(:,4,end)<=agridsim(i,1)).*(SIPP_study(:,2,end)==1))/sum((SIPP_study(:,1,end)==1).*(SIPP_study(:,2,end)==1));
end

%workers over individual component conditional on unemployment
correct.U = cumsum((funew)/u);
correct.U = [correct.U zeros(length(correct.U),1)];
for i = 1:nasim
    correct.U(i,2) = sum((SIPP_study(:,1,end)==1).*(SIPP_study(:,4,end)<=agridsim(i,1)).*(SIPP_study(:,2,end)==2))/sum((SIPP_study(:,1,end)==1).*(SIPP_study(:,2,end)==2));
end

E1t = sum(sum(sum(fenew)))/(sum(sum(sum(fenew)))+sum(sum(sum(funew))));
E1s = sum((SIPP_study(:,2,end)==1))./(sum((SIPP_study(:,2,end)==1))+sum((SIPP_study(:,2,end)==2)));

correct.ER = [E1t; E1s]';

SUt = sum(sum(sum(fenew)))+sum(sum(sum(funew)));
SUs = sum((SIPP_study(:,1,end)==1))./(length(SIPP_study(:,1,end)));

correct.SU = [SUt SUs]';
end