function correct = check_nlsy(NLSY_study,fnodes,nasim,gamma_n,agridsim,R,ProbE1,ProbU,destruct,job_offer,death,prob_loss,job_prob,breaklevel_1,gamma_w,Prob_Newborn,Prob_firm,job_force,w_dens)
%compares simulation results with outcomes from theoretical distribution
%after T periods

%compute theoretical distribution after R periods
fe = zeros(nasim,fnodes);
fu = zeros(nasim,1);
fu(:,1) = Prob_Newborn;
agridsim_m = repmat(agridsim,1,fnodes);
cross_dist = zeros(numel(w_dens),1);
for i = 1:R-1
    [fenew,funew,~,~,~,~,~] =... %apply dist function
        Dist_cohort(fe,fu,nasim,agridsim_m,fnodes,ProbE1,ProbU,destruct,job_offer,death,prob_loss,job_prob,breaklevel_1,gamma_w,Prob_Newborn,Prob_firm,job_force);
        fe = fenew;
        fu = funew;
        cross_dist = cross_dist+reshape(fenew,numel(fenew),1);
end
cross_dist = cross_dist./sum(cross_dist);
aux = [cross_dist reshape(log(w_dens),numel(w_dens),1)];
aux = aux(aux(:,1)>0,:);
w_mean = sum(aux(:,1).*aux(:,2)); 
cross_var = sum(aux(:,1).*((aux(:,2)-w_mean).^2));

%var of log wages
fdist = fenew./sum(sum(sum(fenew))); %normalize to 1
aux = [reshape(fdist,numel(fdist),1) reshape(log(w_dens),numel(w_dens),1)]; 
aux = aux(aux(:,1)>0,:);
w_mean = sum(aux(:,1).*aux(:,2)); 
correct.var = sum(aux(:,1).*((aux(:,2)-w_mean).^2));

aux = NLSY_study(NLSY_study(:,2,end)==1,:,end);
correct.var = [correct.var var(log(aux(:,6)))];

%calculate aggregates
e = sum(sum(fenew));
u = sum(funew);

%worker over job component conditional on employment
correct.E = cumsum((sum(fenew(:,:),1))/e)';
correct.E = [correct.E zeros(length(correct.E),1)];
if sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==1))==0
    correct.E(:,2) = 0;
else
    for i = 1:fnodes
        correct.E(i,2) = sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==1).*(NLSY_study(:,5,end)<=gamma_n(i,1)))/sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==1));
    end
end

%workers over individual prodcomponent conditional on employment
correct.E2 = cumsum((sum(fenew,2))/e);
correct.E2 = [correct.E2 zeros(length(correct.E2),1)];
if sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==1))== 0
    correct.E2(:,2) = 0;
else
    for i = 1:nasim
        correct.E2(i,2) = sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,4,end)<=agridsim(i,1)).*(NLSY_study(:,2,end)==1))/sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==1));
    end
end

%workers over individual component conditional on unemployment
correct.U = cumsum((funew)/u);
correct.U = [correct.U zeros(length(correct.U),1)];
if sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==2)) == 0
    correct.U(:,2) = 0;
else
    for i = 1:nasim
    correct.U(i,2) = sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,4,end)<=agridsim(i,1)).*(NLSY_study(:,2,end)==2))/sum((NLSY_study(:,1,end)==1).*(NLSY_study(:,2,end)==2));
    end
end

E1t = sum(sum(sum(fenew)))/(sum(sum(sum(fenew)))+sum(sum(sum(funew))));
if (sum((NLSY_study(:,2,end)==1))+sum((NLSY_study(:,2,end)==2))) == 0
    E1s = 0;
else
    E1s = sum((NLSY_study(:,2,end)==1))./(sum((NLSY_study(:,2,end)==1))+sum((NLSY_study(:,2,end)==2)));
end

correct.erate = [E1t; E1s]';

SUt = sum(sum(sum(fenew)))+sum(sum(sum(funew)));
if (sum(NLSY_study(:,1,end))) == 0
    SUs = 0;
else
    SUs = sum((NLSY_study(:,1,end)>0))./(length(NLSY_study(:,1,end)));
end

correct.SU = [SUt SUs]';
end