function SIPP = create_sipp_nlsy(NLSY,R)

%sample SIPP from NLSY

%create age
NLSY = [NLSY ones(length(NLSY),1)];
fcn = @(x){cumsum(x)};
NLSY(:,8) = accumarray_expand(NLSY(:,8),NLSY(:,7),fcn);

%compute experience 
NLSY = [NLSY zeros(length(NLSY),1)];
fcn = @(x){cumsum(x)}; 
NLSY(:,9) = accumarray_expand(NLSY(:,2)==1,NLSY(:,7),fcn);
NLSY(:,9) = round(NLSY(:,9)./12);

l = 48; %nr of observations per agent
N = max(NLSY(:,7));

T = floor(N/R);
t = T;
aux = NLSY(NLSY(:,7)<=t,:); 
aux = aux(aux(:,8)<=l,:);
SIPP = aux;
for j = 2:R
    t = t+T;
    k = j-floor(j/R)*R;
    aux = NLSY(logical((NLSY(:,7)<=t).*((NLSY(:,7)>t-T))),:);
    aux = aux(logical((aux(:,8)<=l+k-1).*(aux(:,8)>=k)),:);
    SIPP = [SIPP; aux];
end


end