function P = equi(grid,step,sigma)
%creates probability matrix (P) of normal distribution with SE (sigma) on a
%grid (grid) and equispaced step size (step)

N = length(grid);
bounds=[-Inf grid(1:end-1)+step/2 Inf]; % Bounds of Bins
        
% replace (-)Inf bounds, by finite numbers
bounds(1)=bounds(2)-99999999999;
bounds(end)=bounds(end-1)+99999999999;

P = zeros(N,1);
for i = 1:N
    P(i,1) = normcdf(bounds(i+1),0,sigma)-normcdf(bounds(i),0,sigma);
end


end

