function SIPP_orig = meas_error(SIPP_panel,baseline,spell)
% calculates wages with meassurement error in log wages following a MA
% process. In the data, we look at employment spells. We do the same here

names = {'LC' 'emp' 'd EE' 'A' 'Gamma' 'wage' 'id'};
if baseline %baseline calibration
    load('par.mat','parameter'); %load MA coefficients
else 
    load('par_alt.mat','parameter'); %load MA coefficients
end
sigma = parameter(end,1);
parameter = parameter(1:end-1,1); %drop sigma
parameter = [1; parameter]'; %add contemepraneous effect
coef = zeros(size(parameter));
for i = 1:length(parameter)
    coef(1,end-i+1) = parameter(1,i); %rotate vector
end

%% compute spell the worker is in
SIPP_orig = SIPP_panel;

%calculate starting point of new agents (dead becomes new agent)
SIPP_panel = [SIPP_panel zeros(length(SIPP_panel),1)];
SIPP_panel(2:end,8) = diff(SIPP_panel(:,7));
SIPP_panel(:,8) = SIPP_panel(:,8)~=0; %make it a 1 indicator
SIPP_panel(1,8) = 1;
names{1,8} = 'd indi';

%reduce unemployment state to one (dead are unemployed)
SIPP_panel(SIPP_panel(:,2)~=1,2) = 2;

%calculate UE movement 
SIPP_panel = [SIPP_panel zeros(length(SIPP_panel),1)];
SIPP_panel(2:end,9) = diff(SIPP_panel(:,2));
SIPP_panel(:,9) = SIPP_panel(:,9)==-1;
SIPP_panel(SIPP_panel(:,8)==1,9) = 0; %zero where new agent starts
names{1,9} = 'd UE';

%move EE one front
SIPP_panel(2:end,3) = SIPP_panel(1:end-1,3);

%compute spell number
if spell == 1 %treat EE movement as a new spell
    SIPP_panel(:,10) = SIPP_panel(:,3)+SIPP_panel(:,8)+SIPP_panel(:,9);
else
    SIPP_panel(:,10) = SIPP_panel(:,8)+SIPP_panel(:,9);
end
    
SIPP_panel(:,10) = SIPP_panel(:,10)~=0; %make it a 1 indicator
SIPP_panel(:,10) = cumsum(SIPP_panel(:,10));

%set spell to zero when agent is unemployed or dead
SIPP_panel(SIPP_panel(:,2)~=1,10) = 0;

SIPP_panel(SIPP_panel(:,2)==1,6) = log(SIPP_panel(SIPP_panel(:,2)==1,6)); %compute log wages

%compute wages with error 
randn('seed',57335);
index_pos = find(SIPP_panel(:,10)>0); %find index of non dead
index = order_index(SIPP_panel(index_pos,10));
fcn = @(x){con_error(x,length(x),sigma,coef)};
SIPP_panel(index_pos,6) = accumarray_expand(SIPP_panel(index_pos,6),index,fcn);


SIPP_panel(SIPP_panel(:,2)==1,6) = exp(SIPP_panel(SIPP_panel(:,2)==1,6)); %compute wages
SIPP_orig(:,6) = SIPP_panel(:,6);
end