function TW = tw_stats(NLSY)

%compute Topel Ward statistics

%% tenure and experience

%compute experience 
NLSY = [NLSY zeros(length(NLSY),1)];
fcn = @(x){cumsum(x)}; 
NLSY(:,13) = accumarray_expand(NLSY(:,2)==1,NLSY(:,7),fcn);
NLSY(:,13) = NLSY(:,13)./12;

%compute tenure
NLSY = [NLSY zeros(length(NLSY),1)]; %change id
NLSY(2:end,14) = diff(NLSY(:,7)); 
NLSY(1,14) = 1;

NLSY = [NLSY zeros(length(NLSY),1)]; %UE
NLSY(2:end,15) = diff(NLSY(:,2)); 
NLSY(NLSY(:,9)==1,15) = 0;
NLSY(NLSY(:,9)~=0,15) = 1;
NLSY(NLSY(:,14)==1,15) = 0;

NLSY(2:end,3) = NLSY(1:end-1,3); %shift job switch one ahead
NLSY(NLSY(:,14)==1,3) = 0;

NLSY(:,15) = NLSY(:,3)+NLSY(:,14);
NLSY(NLSY(:,15)~=0,15) = 1;
fcn = @(x){cumsum(x)};
NLSY(:,16) = accumarray_expand(NLSY(:,15),NLSY(:,7),fcn);
NLSY(NLSY(:,2)==2,16) = 0; %job id

NLSY(:,17) = group([NLSY(:,7) NLSY(:,16)]);
NLSY(NLSY(:,2)==2,17) = 0;
fcn = @(x){cumsum(x)};
NLSY(:,18) = accumarray_expand(ones(length(NLSY),1),NLSY(:,17),fcn); %tenure
NLSY(NLSY(:,2)==2,18) = 0;
NLSY(:,14:17) = [];

%indicator that job ends next month
NLSY = [NLSY zeros(length(NLSY),1)];
NLSY(2:end,15) = diff(NLSY(:,14));
NLSY(:,15) = NLSY(:,15)<0;
NLSY(NLSY(:,12)==1,15) = 0;
NLSY(1:end-1,15) = NLSY(2:end,15); %shift one front
%% statistics

age_12 = NLSY(NLSY(:,12)==12,:);
age_24 = NLSY(NLSY(:,12)==24,:);
age_36 = NLSY(NLSY(:,12)==36,:);
age_48 = NLSY(NLSY(:,12)==48,:);
age_60 = NLSY(NLSY(:,12)==60,:);
age_72 = NLSY(NLSY(:,12)==72,:);
age_84 = NLSY(NLSY(:,12)==84,:);
age_96 = NLSY(NLSY(:,12)==96,:);
age_108 = NLSY(NLSY(:,12)==108,:);
age_120 = NLSY(NLSY(:,12)==120,:);

TW.jobs12 = mean(age_12(:,11));
TW.jobs24 = mean(age_24(:,11));
TW.jobs36 = mean(age_36(:,11));
TW.jobs48 = mean(age_48(:,11));
TW.jobs60 = mean(age_60(:,11));
TW.jobs72 = mean(age_72(:,11));
TW.jobs84 = mean(age_84(:,11));
TW.jobs96 = mean(age_96(:,11));
TW.jobs108 = mean(age_108(:,11));
TW.jobs120 = mean(age_120(:,11));

TW.exp12 = mean(age_12(:,13));
TW.exp24 = mean(age_24(:,13));
TW.exp36 = mean(age_36(:,13));
TW.exp48 = mean(age_48(:,13));
TW.exp60 = mean(age_60(:,13));
TW.exp72 = mean(age_72(:,13));
TW.exp84 = mean(age_84(:,13));
TW.exp96 = mean(age_96(:,13));
TW.exp108 = mean(age_108(:,13));
TW.exp120 = mean(age_120(:,13));

NLSY(NLSY(:,12)>120,:) = [];

TW.exit12 = sum((NLSY(:,12)==12).*NLSY(:,15))./sum(NLSY(:,12)==12);
TW.exit24 = sum((NLSY(:,12)==24).*NLSY(:,15))./sum(NLSY(:,12)==24);
TW.exit36 = sum((NLSY(:,12)==36).*NLSY(:,15))./sum(NLSY(:,12)==36);
TW.exit48 = sum((NLSY(:,12)==48).*NLSY(:,15))./sum(NLSY(:,12)==48);
TW.exit60 = sum((NLSY(:,12)==60).*NLSY(:,15))./sum(NLSY(:,12)==60);
TW.exit72 = sum((NLSY(:,12)==72).*NLSY(:,15))./sum(NLSY(:,12)==72);
TW.exit84 = sum((NLSY(:,12)==84).*NLSY(:,15))./sum(NLSY(:,12)==84);
TW.exit96 = sum((NLSY(:,12)==96).*NLSY(:,15))./sum(NLSY(:,12)==96);
TW.exit108 = sum((NLSY(:,12)==108).*NLSY(:,15))./sum(NLSY(:,12)==108);
TW.exit120 = sum((NLSY(:,12)==120).*NLSY(:,15))./sum(NLSY(:,12)==120);

%% wage growth statistic preparation

%drop unemployed
NLSY(NLSY(:,2)==2,:) = [];

%log wages
NLSY(:,6) = log(NLSY(:,6));

%wage growth
NLSY = [NLSY zeros(length(NLSY),1)];
NLSY(2:end,16) = diff(NLSY(:,6)); %not important here to cler for new id and UE transitions

%wage growth over life
fcn = @(x){x(1,1)};  
NLSY(:,17) = accumarray_expand(NLSY(:,6),NLSY(:,7),fcn); %wage at first obs
fcn = @(x){x(end,1)};  
NLSY(:,18) = accumarray_expand(NLSY(:,6),NLSY(:,7),fcn); %wage at first obs
NLSY(:,19) = NLSY(:,18)-NLSY(:,17);

jtj = NLSY(NLSY(:,3)==1,:);


%% wage growth statistics

TW.wgr_jtj = sum((jtj(:,13)>=0).*(jtj(:,13)<=10).*jtj(:,16))./sum((jtj(:,13)>=0).*(jtj(:,13)<=10));
TW.wgr12_jtj = sum((jtj(:,13)>=0).*(jtj(:,13)<=2.5).*jtj(:,16))./sum((jtj(:,13)>=0).*(jtj(:,13)<=2.5));
TW.wgr48_jtj = sum((jtj(:,13)>=2.5).*(jtj(:,13)<=5).*jtj(:,16))./sum((jtj(:,13)>=2.5).*(jtj(:,13)<=5));
TW.wgr72_jtj = sum((jtj(:,13)>=5).*(jtj(:,13)<=7.5).*jtj(:,16))./sum((jtj(:,13)>=5).*(jtj(:,13)<=7.5));
TW.wgr108_jtj = sum((jtj(:,13)>=7.5).*(jtj(:,13)<=10).*jtj(:,16))./sum((jtj(:,13)>=7.5).*(jtj(:,13)<=10));

TW.wgr120 = mean(NLSY(NLSY(:,12)==120,19));
end