* Longitudinal data
*id
cd "$rootdir/rawdata"
use id suseqnum pp_entry pp_pnum pnlwgt fnlwgt93 fnlwgt94 varstrat using sipp93l1, clear
count if id==""
drop if id==""
sort id
cd "$rootdir/tmp"
save testi, replace

* id wave
cd "$rootdir/rawdata"
use id pp_intv* using sipp93l1, clear
sort id
reshape long pp_intv, i(id) j(wave)
count if id==""
drop if id==""
sort id wave
cd "$rootdir/tmp"
save testw, replace

* id month
cd "$rootdir/rawdata"
use $idr pp_mis* hh_add* age* using sipp93l1, clear
cd "$rootdir/tmp"
renpfix age_ age
renpfix age0 age
renpfix hh_add0 hh_add
renpfix pp_mis0 pp_mis
sort id
reshape long hh_add pp_mis age, i(id) j(mnth)
count if id==""
drop if id==""
cd "$rootdir/programs/recode"
do monthwave93.do
cd "$rootdir/tmp"
sort id wave month
save testm, replace

* Core data	
cd "$rootdir/rawdata"
local i=1
use $ids suseqnum suid panel month year hwgt fwgt swgt fnlwgt using sipp93w`i'.dta, clear
sort $ids
cd "$rootdir/tmp"
save test, replace
local i=`i'+1
while `i'>=2 & `i'<10 {
cd "$rootdir/rawdata"
use $ids suseqnum suid panel month year hwgt fwgt swgt fnlwgt using sipp93w`i'.dta, clear
sort $ids
cd "$rootdir/tmp"
append using test
sort $ids
save test, replace
local i=`i'+1
} 

*merge with longitudional file and check whether individual is in longitudional file
use testi, clear
merge id using test
tab _merge
rename _merge mtst1
sort id wave
merge id wave using testw
tab _merge
rename _merge mtst2
sort id wave month
merge id wave month using testm
tab _merge
rename _merge mtst3	
drop if mtst3~=3
drop mtst*
save test, replace
erase testi.dta
erase testw.dta
erase testm.dta

replace year = year+1900
replace panel = panel+1900

* to match to 1996 name
destring hh_add, replace
rename hh_add shhadid
notes shhadid: SIPP: hh_add (90,91,92,93)
rename varstrat gvarstr
notes gvarstr: SIPP: varstrat (92,93)
rename pp_intv eppintvw
notes eppintvw: SIPP: pp_intv (92,93)
rename pp_pnum epppnum
notes epppnum: SIPP: pp_pnum (92,93)
rename pp_entry eentaid
notes eentaid: SIPP: pp_entry (92,93)
rename fnlwgt wpfinwgt 
notes wpfinwgt: SIPP: fnlwgt (92,93)
rename hwgt whfnwgt
notes whfnwgt: SIPP: hgwt (92,93)
rename fwgt wffinwgt
notes wffinwgt: SIPP: fgwt (92,93)
rename swgt wsfinwgt
notes wsfinwgt: SIPP: sgwt (92,93)
rename suseqnum ssuseq
notes ssuseq: SIPP: suseqnum (92,93)
rename suid ssuid
notes ssuid: SIPP: suid (92,93)

label var age "Age in this month"
label var shhadid "Address ID. - This field identifies the entry address"
label var eppintv "Person's interview status for interview"     
label var pp_mis "Person's interview status for this month"
label var id "Unique ID"
label var wffinwgt "Family weight for the reference month"
label var whfnwgt "Household weight for the reference month"
label var wpfinwgt "Person weight for the reference month"
label var wsfinwgt "Related subfamily weight for the reference month"
replace fnlwgt93 = fnlwgt93*10000
replace fnlwgt94 = fnlwgt94*10000
replace pnlwgt = pnlwgt*10000

aorder
sum

keep id srefmon wave age month year panel pp_mis rot wpfinwgt 

sort id year month
label data "Set A: ID and Weights,  SIPP1993"

cd "$rootdir/output"
save "/Uni/Het Agents/Daten/SIPP/1993 Revise/output/set_a.dta", replace
clear
