* Longitudinal data: create three files 1) by id wave; 3) by id wave month
cd "$rootdir/rawdata"
*id
use id rot sex race ethnicty using sipp93l1, clear
count if id==""
drop if id==""
sort id rot
cd "$rootdir/tmp"
save testi, replace
        
* id wave
cd "$rootdir/rawdata"
use id rot att_sch* higrade* grd_cmp* geo_ste* using sipp93l1, clear
sort id
reshape long att_sch higrade grd_cmp geo_ste, i(id) j(wave)
count if id==""
drop if id==""
sort id wave
cd "$rootdir/tmp"
save testw, replace
        
* id month
cd "$rootdir/rawdata"
use id rot age* ms* enrl_m* using sipp93l1, clear
renpfix age_ age
renpfix age0 age
renpfix ms_ ms
renpfix ms0 ms
renpfix enrl_m0 enrl_m
count if id==""
drop if id==""
sort id
cd "$rootdir/tmp"
reshape long age ms enrl_m, i(id) j(mnth)
cd "$rootdir/programs/recode"
do monthwave93.do
count if id==""
drop if id==""
sort id wave month
cd "$rootdir/tmp"
save testm, replace
                
* Core data     
local i=1
cd "$rootdir/rawdata"
use $ids rot month year hmetro hstate hmsa disab fnkids using sipp93w`i', clear
sort $ids
cd "$rootdir/tmp"
save test, replace
local i=`i'+1
while `i'>=2 & `i'<10 {
cd "$rootdir/rawdata"
use $ids rot month year hmetro hstate hmsa disab fnkids using sipp93w`i', clear
sort $ids
cd "$rootdir/tmp"
append using test
sort $ids
save test, replace
local i=`i'+1
} 
sort id rot
save test, replace

use testi, clear
merge id rot using test
tab _merge
rename _merge mtst
sort id wave
merge id wave using testw
tab _merge
rename _merge miw
sort id wave month
merge id wave month using testm
tab _merge
rename _merge miwm
sort id wave month
        
save test, replace
        
* Topical module data (append to all observations)
sort id rot
save test, replace
        
cd "$rootdir/rawdata"
use id rot tm8732 tm8734 tm8400 tm8408 tm8416 tm8422 tm8430 using sipp93t2, clear
cd "$rootdir/tmp"
sort id rot
merge id rot using test
tab _merge
rename _merge mtm
        
* give uniform names, as necessary
rename ethnicty ethnic
rename fnkids rfnkids
rename att_sch ststat
rename enrl_m student
rename geo_ste sipp_st
rename hmetro metro
rename hmsa msa
rename disab disabled
recode disab 0=-1
recode ststat 0=-1

drop if mtst~=3
drop mtst*
save test, replace
erase testi.dta
erase testw.dta
erase testm.dta

rename sex female
notes female: SIPP: sex (92,93); esex (96,01)
recode female 1=0
recode female 2=1
label define female 0 "Male" 1 "Female"
label values female female
label var female "Female"

label var age "Age"

label define ethnic 1 "Germany" 2 "England" 3 "Ireland" 4 "France" 5 "Italy" 6 "Scotland" 7 "Poland" 8 "Holland" 9 "Sweden" 10 "Norway" 11 "Russia" 12 "Ukraine" 13 "Wales" 14 "Mex-Amer" 15 "Chicano" 16 "Mexico" 17 "PRico"  18 "Cuba" 19 "C/S Amer" 20 "Oth Span" 21 "AfroAmer" 30 "Other" 39 "DK"
label values ethnic ethnic
	
label variable ethnic "Ethnic Origin (96,01,04 differ)"
notes ethnic: SIPP: ethnicty (92,93); eorigin (96,01) ; not avail (04)

rename race race1
gen race04 = race1
label define race1 1 "White" 2 "Black" 3 "IndOrEsk" 4 "AsianPac"
label values race1 race1
label define erace04 1 "White alone" 2 "Black alone" 3 "Asian alone" 4 "Residual"
label val race04 erace04 
label var race1 "SIPP race (unedited), 2001 panel and before"
label var race04 "SIPP race (unedited), 2004,2008 panels"
replace race04 = .

gen race = 1 if race1==1 & (ethnic<14 | ethnic>20)
replace race = 2 if race1==2 & (ethnic<14 | ethnic>20)
replace race = 3 if (ethnic>=14 & ethnic<=20)
replace race = 4 if race1>2 & (ethnic<14 | ethnic>20) & race1~=.	

label define race_cepr 1 "White" 2 "Black" 3 "Hispanic" 4 "Other"
label values race race_cepr
label var race "Race (W,B,H,O)"
notes race: 92-93 panels, generated from SIPP race and ethnicty
notes race: 96-04 panels, generated from SIPP erace and eorigin

gen citizen = 1 if tm8732==2 | tm8732==0 | tm8734==3
replace citizen = 2 if tm8734==1
replace citizen = 3 if tm8734==2
notes citizen: SIPP: tm8732 & tm8734 (93)

label define citizen 1 "Native" 2 "Naturalized" 3 "Not a naturalized citizen", modify
label values citizen citizen
label var citizen "Citizenship status"
tab citizen
notes citizen: "citizen" is constant over the entire panel.
notes citizen: "citizen" is from T2.
	
tab disabled

recode disabled 2 = 0
label var disabled "Disability that limits work"
notes disabled: "disabled" is asked once per wave.
label define lmtwk 1 "disabled" 0 "not disabled", modify
label values disabled lmtwk
notes disabled: SIPP: disab (92,93); edisabl (96,01,04,08)
tab disabled

label var ms "Marital Status"
notes ms: SIPP: ems (96,01,04)
tab ms, m

* HUMAN CAPITAL
label define ststat 1 "ft" 2 "pt" 3 "not enrolled"
label values ststat
label var ststat "school status"
notes ststat: SIPP: att_sch (92,93); renroll (96,01,04)
notes ststat: "ststat" is asked once per wave.

label define student 0 "not student or not in univers/sample" 1 "student this month"
label values student student
label var student "student this month"
notes student: SIPP: enrl_m (92,93); eenrlm (96,01,04)

label define educ 1 "less than high school" 2 "high school grad"  3 "some college" 4 "college degree" 5 "post-college"

gen educ = 1 if higrade<=12 & higrade~=.
replace educ = 2 if higrade==12 & grd_cmp==1
replace educ = 3 if higrade>=21 & higrade<=24
replace educ = 4 if higrade==24 & grd_cmp==1
replace educ = 4 if higrade>24 & higrade~=.
drop higrad grd_cmp
notes educ: SIPP: higrade & grd_cmp (92,93)

* highest grade 12 or less and no hs diploma or ged
gen educ_tm2 = 1 if tm8400==1 & tm8408==2
* highest grade 12 or less and has hs diploma or ged
replace educ_tm2 = 2 if tm8400==1 & tm8408==1
replace educ_tm2 = 2 if tm8400==2 
* highest grade 1 year of college and  ass., voc, or no degree
replace educ_tm2 = 3 if tm8416==1 & tm8422>=5 & tm8422<=7
* highest grade 1 year of college and ba degree
replace educ_tm2 = 4 if tm8416==1 & tm8422==4
* highest grade 1 year of college and adv. degree
replace educ_tm2 = 5 if tm8416==1 & tm8422>=1 & tm8422<=3 & tm8430==1
label values educ_tm2 educ
label var educ_tm2 "TM2 Educational Attainment"

label var educ "Educational Attainment"
label values educ educ

tab metro
recode metro (2 = 0)
if "$p" == "04" recode metro (3 = 0)
label define metro 1 "Metro" 0 "Residual", modify
label values metro metro
label var metro "Metropolitan Residence"
notes metro: SIPP: hmetro (92,93); tmetro (96,01,04,08)

notes msa: SIPP: hmsa (92,93); tmsa (96,01); not avail. (04,08)

replace sipp_st = hstate if sipp_st==0
*recode sipp_st 0=.
gen state=sipp_st
/*
* recode SIPP Code to CPS Code

recode state 1=63
recode state 2=94
recode state 4=86
recode state 5=71
recode state 6=93
recode state 8=84
recode state 9=16
recode state 10=51
recode state 11=53
recode state 12=59
recode state 13=58
recode state 15=95
recode state 16=82
recode state 17=33
recode state 18=32
recode state 19=42
recode state 20=47
recode state 21=61
recode state 22=72
recode state 23=11
recode state 24=52
recode state 25=14
recode state 26=34
recode state 27=41
recode state 28=64
recode state 29=43
recode state 30=81
recode state 31=46
recode state 32=88
recode state 33=12
recode state 34=22
recode state 35=85
recode state 36=21
recode state 37=56
recode state 38=44
recode state 39=31
recode state 40=73
recode state 41=92
recode state 42=23
recode state 44=15
recode state 45=57
recode state 46=45
recode state 47=62
recode state 48=74
recode state 49=87
recode state 50=13
recode state 51=54
recode state 53=91
recode state 54=55
recode state 55=35
recode state 56=83
recode state 61=101
recode state 62=102
recode state 63=103

label define state_cps 11 "ME" 12 "NH" 13 "VT" 14 "MA" 15 "RI" 16 "CT" 21 "NY" 22 "NJ" 23 "PA" 31 "OH" 32 "IN" 33 "IL" 34 "MI" 35 "WI" 41 "MN" 42 "IA" 43 "MO" 44 "ND" 45 "SD" 46 "NE" 47 "KS" 51 "DE" 52 "MD" 53 "DC" 54 "VA" 55 "WV" 56 "NC" 57 "SC" 58 "GA" 59 "FL" 61 "KY" 62 "TN" 63 "AL" 64 "MS" 71 "AR" 72 "LA" 73 "OK" 74 "TX" 81 "MT" 82 "ID" 83 "WY" 84 "CO" 85 "NM" 86 "AZ" 87 "UT" 88 "NV" 91 "WA" 92 "OR" 93 "CA" 94 "AK" 95 "HI" 101 "ME, VT" 102 "IA, ND, SD" 103 "AK, ID, MT, WY", modify 
	
label values state state_cps
label variable state "CPS State Code (w/SIPP aggreg.)"
notes state: SIPP: geo_ste (92,93); tfipsst (96,01,04,08)
*/



gen region = 1 if state==61 | state == 33 | state == 13 | state == 25 | state == 44 | state == 09 
replace region = 2 if state==34 | state == 42 | state == 36 
replace region = 3 if state==17 | state == 18 | state == 26 | state == 39 | state == 55 
replace region = 4 if state==62 | state == 27 | state == 31 | state == 20 | state == 29 
replace region = 5 if state==10 | state == 24 | state == 11 | state == 54 | state == 51 | state == 37 | state == 45 | state == 13 | state == 12
replace region = 6 if state==21 | state == 47 | state == 01 | state == 28
replace region = 7 if state==48 | state == 22 | state == 40 | state == 05
replace region = 8 if state==63 | state == 32 | state == 49 | state == 08 | state == 04 | state == 35
replace region = 9 if state==53 | state == 41 | state == 06 | state == 15
label var region "Census Region (9)"
label define reglbl 1 "New England" 2 "Middle Atlantic" 3 "E. North Central" 4 "W. North Central" 5 "South Atlantic" 6 "E. South Central" 7 "W. South Central" 8 "Mountain" 9 "Pacific"
label values region reglbl
notes region: SIPP: geo_ste (92,93); tfipsst (96,01,04)

keep $ids year month age female race disabled ms educ student metro state region student rfnkids
replace region=0 if region==.
replace state=0 if state==.
replace year = year+1900
aorder
sum

sort id year month
label data "Set B: Demographics, SIPP1993"
cd "$rootdir/output"
save "/Uni/Het Agents/Daten/SIPP/1993 Revise/output/set_b.dta", replace

clear
