cd "$rootdir/rawdata"
use id rot age* esr* mthjbw* wksper* jobid* clswk* using sipp93l1, clear
renpfix age_ age
renpfix age0 age
renpfix esr_ esr
renpfix esr0 esr
renpfix mthjbw0 mthjbw
renpfix mthjbw rmwkwjb
renpfix wksper0 wksper
renpfix jobid10 job1
renpfix jobid20 job2
renpfix jobid job
renpfix clswk10 class1
renpfix clswk20 class2
renpfix clswk class
cd "$rootdir/tmp"    
reshape long age esr rmwkwjb wksper job1 job2 class1 class2, i(id) j(mnth)
gen month2 = mnth
cd "$rootdir/programs/recode"
do monthwave93.do
cd "$rootdir/tmp"   
count if id==""
drop if id==""
sort id wave month
save testm1, replace
        
* id month L2
cd "$rootdir/rawdata"
use id rot occ* ind* ernam* wshrs* hrrat* se_am* using sipp93l2, clear
cd "$rootdir/tmp" 
renpfix ernam10 earn1
renpfix ernam20 earn2
renpfix ernam earn
renpfix wshrs10 hours1
renpfix wshrs20 hours2
renpfix wshrs hours
renpfix hrrat10 rate1
renpfix hrrat20 rate2
renpfix hrrat rate
renpfix occ1_0 occ31
renpfix occ1_ occ31
renpfix ind1_0 ind31
renpfix ind1_ ind31
renpfix occ2_0 occ32
renpfix occ2_ occ32
renpfix ind2_0 ind32
renpfix ind2_ ind32
renpfix se_am10 se_am1
renpfix se_am20 se_am2
renpfix se_am selfinc

reshape long earn1 earn2 rate1 rate2 hours1 hours2 occ31 occ32 ind31 ind32 selfinc1 selfinc2, i(id) j(mnth)
gen month2 = mnth
cd "$rootdir/programs/recode"
do monthwave93.do
cd "$rootdir/tmp"          
count if id==""
drop if id==""
sort id wave month
save testm2, replace
        
* Core data 
local i=1
cd "$rootdir/rawdata"
use $ids month year njobs ws12002 ws12003 ws12016 ws12018 ws12020 ws12022 ws12024 ws12025 ws12026 ws12044 ws12046 ws22102 ws22103 ws22116 ws22118 ws22120 ws22122 ws22124 ws22125 ws22126 ws22144 ws22146 ws1calc ws2calc iws12028 iws22128 wesr1 wesr2 wesr3 wesr4 wesr5 ws1wks ws2wks using sipp93w`i', clear
cd "$rootdir/tmp" 
sort $ids
save test, replace
local i=`i'+1
while `i'>=2 & `i'<10 {
cd "$rootdir/rawdata"
use $ids month year njobs ws12002 ws12003 ws12016 ws12018 ws12020 ws12022 ws12024 ws12025 ws12026 ws12044 ws12046 ws22102 ws22103 ws22116 ws22118 ws22120 ws22122 ws22124 ws22125 ws22126 ws22144 ws22146 ws1calc ws2calc iws12028 iws22128 wesr1 wesr2 wesr3 wesr4 wesr5 ws1wks ws2wks using sipp93w`i', clear
sort $ids
cd "$rootdir/tmp" 
append using test
sort $ids
save test, replace
local i=`i'+1
} 
sort id wave month
save test, replace
	

cd "$rootdir/tmp" 
use testm1, clear
merge id wave month using test
tab _merge
rename _merge m1tst
sort id wave month
merge id wave month using testm2
tab _merge
rename _merge m2tst

* Topical module data (append to all observations)
* Data on job start dates.
sort id rot
save test, replace
cd "$rootdir/rawdata"
use id rot tm8214 tm8216 tm8218 tm8220 tm8274 tm8278 imp8274 imp8278 using sipp93t1, clear

cd "$rootdir/tmp" 
sort id rot
merge id rot using test
tab _merge
rename _merge mtm
* give uniform names, as necessary
rename ws12002 eeno1
rename ws12003 estlemp1
rename ws12016 smonth1
rename ws12018 tsjdate1
rename ws12020 emonth1
rename ws12022 tejdate1
rename ws12024 ersend1
rename ws12025 ejbhrs1
rename ws12026 hrly1
rename ws12044 union1
rename ws12046 ecntrc1
rename ws22102 eeno2
rename ws22103 estlemp2
rename ws22116 smonth2
rename ws22118 tsjdate2
rename ws22120 emonth2
rename ws22122 tejdate2
rename ws22124 ersend2
rename ws22125 ejbhrs2
rename ws22126 hrly2
rename ws22144 union2
rename ws22146 ecntrc2
rename iws12028 apyrate1
rename iws22128 apyrate2
rename ws1calc apmsum1
rename ws2calc apmsum2
rename wesr1 rwkesr1
rename wesr2 rwkesr2
rename wesr3 rwkesr3
rename wesr4 rwkesr4
rename wesr5 rwkesr5
rename ws1wks job1_weeks_emp
rename ws2wks job2_weeks_emp
replace year = year+1900

rename tm8218 tenure1_m
rename tm8220 tenure1_y
rename tm8274 labor_e_p
rename imp8274 a_labor_e_p
rename tm8278 labor_e
rename imp8278 a_labor_e

drop if m1tst~=3
drop m1tst m2tst
drop if wksper==0
save test, replace       

*clean date job started
egen id_wave = group(id wave)
sort id_wave year month
by id_wave: replace smonth1 = smonth1[1]
by id_wave: replace tsjdate1 = tsjdate1[1]
by id_wave: replace smonth2 = smonth2[1]
by id_wave: replace tsjdate2 = tsjdate2[1]

*clean hours
replace hours1=0 if hours1<0
replace hours2=0 if hours2<0

* relable
sort id year month
local i = 1
while `i'<3 {
recode estlemp`i' 0=.
recode estlemp`i' 2=0
recode ersend`i' 0=.
recode ersend`i' 3=8
recode ersend`i' 4=11
recode ersend`i' 5=12
recode ersend`i' 6=15

label var ersend`i' "Reason stopped working"
label define ersend`i' 1 "On layoff" 2 "Retirement or old age" 3 "Childcare problems" 4 "Other family/personal obligations" 5 "Own illness" 6 "Own injury" 7 "School/training" 8 "Discharged/fired" 9 "Employer bankrupt" 10 "Employer sold business" 11 "Job was temporary and ended" 12 "Quit to take another job" 13 "Slack work or business conditions" 14 "Unsatisfactory work arrangements (hours, pay, etc)" 15 "Quit for some other reason"
label values ersend`i' ersend`i'
notes ersend`i': For 92/93: 1 "Laid off" 2 "Retired" 8 "Discharged" 11 "Job was temporary and ended" 12 "Quit to take another job" 15 "Quit for some other reason"


gen occ14_`i' = 1 if occ3`i'>=003 & occ3`i'<=37 & occ3`i'~=.
replace occ14_`i' = 2 if occ3`i'>=43 & occ3`i'<=199 & occ3`i'~=.
replace occ14_`i' = 3 if occ3`i'>=203 & occ3`i'<=235 & occ3`i'~=.
replace occ14_`i' = 4 if occ3`i'>=243 & occ3`i'<=285 & occ3`i'~=.
replace occ14_`i' = 5 if occ3`i'>=303 & occ3`i'<=389 & occ3`i'~=.
replace occ14_`i' = 6 if occ3`i'>=403 & occ3`i'<=407 & occ3`i'~=.
replace occ14_`i' = 7 if occ3`i'>=413 & occ3`i'<=427 & occ3`i'~=.
replace occ14_`i' = 8 if occ3`i'>=433 & occ3`i'<=469 & occ3`i'~=.
replace occ14_`i' = 9 if occ3`i'>=473 & occ3`i'<=499 & occ3`i'~=.
replace occ14_`i' = 10 if occ3`i'>=503 & occ3`i'<=699 & occ3`i'~=.
replace occ14_`i' = 11 if occ3`i'>=703 & occ3`i'<=799 & occ3`i'~=.
replace occ14_`i' = 12 if occ3`i'>=803 & occ3`i'<=859 & occ3`i'~=.
replace occ14_`i' = 13 if occ3`i'>=864 & occ3`i'<=889 & occ3`i'~=.
replace occ14_`i' = 14 if occ3`i'>=905 & occ3`i'~=.
label var occ14_`i' "Occupation, Major Groups"
label define occ14_`i' 1 "Executive, Administrative, and Managerial" 2 "Professional Specialty" 3 "Technicians and Related Support" 4 "Sales" 5 "Administrative Support , Including Clerical" 6 "Private Household Services" 7 "Protective Services" 8 "Services, except Household and Protective" 9 "Farming, Forestry, and Fishing" 10 "Precision Production, Craft, and Repair" 11 "Machine Operators, Assemblers, and Inspectors" 12 "Transportation and Material Moving" 13 "Handlers, Equipment Cleaners, Helpers, and Laborers" 14 "Armed Forces" 
label values occ14_`i' occ14_`i'


generate ind23_`i' = 1 if ind3`i'>=10 & ind3`i'<=31 & ind3`i'~=.
replace ind23_`i' = 21 if ind3`i'>=31 & ind3`i'<=32 & ind3`i'~=.
replace ind23_`i' = 2 if ind3`i'>=40 & ind3`i'<=50 & ind3`i'~=.
replace ind23_`i' = 3 if ind3`i'==60 & ind3`i'~=.
replace ind23_`i' = 5 if ind3`i'>=100 & ind3`i'<=222 & ind3`i'~=.
replace ind23_`i' = 4 if ind3`i'>=230 & ind3`i'<=392 & ind3`i'~=.
replace ind23_`i' = 6 if ind3`i'>=400 & ind3`i'<=432 & ind3`i'~=.
replace ind23_`i' = 7 if ind3`i'>=440 & ind3`i'<=442 & ind3`i'~=.
replace ind23_`i' = 8 if ind3`i'>=450 & ind3`i'<=472 & ind3`i'~=.
replace ind23_`i' = 9 if ind3`i'>=500 & ind3`i'<=571 & ind3`i'~=.
replace ind23_`i' = 10 if ind3`i'>=580 & ind3`i'<=691 & ind3`i'~=.
replace ind23_`i' = 11 if ind3`i'>=700 & ind3`i'<=712 & ind3`i'~=.
replace ind23_`i' = 12 if ind3`i'==761 & ind3`i'~=.
replace ind23_`i' = 13 if ind3`i'>=721 & ind3`i'<=760 & ind3`i'~=.
replace ind23_`i' = 14 if ind3`i'>=762 & ind3`i'<=791 & ind3`i'~=.
replace ind23_`i' = 15 if ind3`i'>=800 & ind3`i'<=810 & ind3`i'~=.
replace ind23_`i' = 17 if ind3`i'>=812 & ind3`i'<=840 & ind3`i'~=831 & ind3`i'~=.
replace ind23_`i' = 16 if ind3`i'==831 & ind3`i'~=.
replace ind23_`i' = 18 if ind3`i'>=842 & ind3`i'<=860 & ind3`i'~=.
replace ind23_`i' = 19 if ind3`i'>=861 & ind3`i'<=871 & ind3`i'~=.
replace ind23_`i' = 20 if ind3`i'==841 | (ind3`i'>=872 & ind3`i'<=893) & ind3`i'~=.
replace ind23_`i' = 22 if ind3`i'>=900 & ind3`i'<=932 & ind3`i'~=.
replace ind23_`i' = 23 if ind3`i'==991 & ind3`i'~=.

label var ind23_`i' "Industry, Major Groups"
label define ind3`i' 1 "Agriculture" 2 "Mining" 3 "Construction" 4 "Manufacturing: durabales" 5 "Manufacturing: nondurables" 6 "Transportation" 7 "Communications" 8 "Utilities" 9 "Wholesale Trade" 10 "Retail trade" 11 "Finance" 12 "Private Household Services" 13 "Business Services" 14 "Personal Services" 15 "Entertain/Rec. Services" 16 "Hospitals" 17 "Medical Services" 18 "Educational Services" 19 "Social Services" 20 "Other Professional Services" 21 "Forestry" 22 "Public Administration" 23 "Armed Forces"
label values ind23_`i' ind3`i'

recode union`i' 2=0
recode union`i' -1=0
label define union`i' 1 "Union" 0 "Non-union"

recode ecntrc`i' 0=2

gen byte earn_imp`i' = apmsum`i'==1 if earn`i'~=. & earn`i'>0
gen byte wage_imp`i' = apyrate`i'==1 if rate`i'~=. & rate`i'>0

gen w_imp`i' = 0
replace w_imp`i' = 1 if apmsum`i'==1 | apyrate`i'==1

replace hrly`i' = 0 if hrly`i'==2
replace hrly`i' = 0 if hrly`i'==-1

recode ecntrc`i' -1=0
recode ecntrc`i' 2=0
	
local i=`i'+1
}
drop occ31 occ32 ind31 ind32

*recode labor experience
recode labor_e_p -003=0
recode labor_e -003=0

*define unemployment/OLF
recode esr 0=.
gen emp=0
replace emp= 1 if esr == 1 
replace emp= 1 if esr == 2
replace emp= 0 if esr == 6
replace emp= 0 if esr == 7
replace emp= 0 if esr == 8
*replace emp= 0 if esr == 3
*replace emp= 0 if esr == 4
*replace emp= 0 if esr == 5
replace emp= 1 if esr == 3
replace emp= 1 if esr == 4
replace emp= 1 if esr == 5
replace emp=0 if (earn1==0 | hours1==0) & (earn2==0 | hours2==0)
sort id wave
cd "$rootdir/tmp" 
save test, replace


*revised job ids
cd "$rootdir/programs/recode"
do revised_prep
sort id wave

cd "$rootdir/tmp" 
merge id wave using test
tab _merge
rename _merge mjobid
drop if mjobid==1
replace job1=jobid1_rev if job1==jobid1_old & jobid1_old!=.
replace job1=jobid2_rev if job1==jobid2_old & jobid2_old!=. 
replace job2=jobid1_rev if job2==jobid1_old & jobid1_old!=.
replace job2=jobid2_rev if job2==jobid2_old & jobid2_old!=.
drop jobid1_old jobid1_rev jobid2_old jobid2_rev suid entry pnum
replace flag_jobid_chan = 0 if flag_jobid_chan==.
save test, replace
label var flag_jobid_chan "Job ID changed; Stinson pgm"
save test, replace


*clean days employed
gen index=0
replace index = 1 if smonth1==month & smonth1>0
replace smonth1 = 0 if index==0
replace tsjdate1 = 0 if smonth1 == 0
drop index
gen index=0
replace index = 1 if smonth2==month & smonth2>0
replace smonth2 = 0 if index==0
replace tsjdate2 = 0 if smonth2 == 0
drop index
gen index=0
replace index = 1 if emonth1==month & emonth1>0
replace emonth1 = 0 if index==0
replace tejdate1 = 0 if emonth1 == 0
drop index
gen index=0
replace index=1 if tsjdate1>=tejdate1 & tejdate1>0
replace emonth1 = 0 if index==1
replace tejdate1 = 0 if index==1
drop index
gen index=0
replace index = 1 if emonth2==month & emonth2>0
replace emonth2 = 0 if index==0
replace tejdate2 = 0 if emonth2 == 0
drop index
gen index=0
replace index=1 if tsjdate2>=tejdate2 & tejdate2>0
replace emonth2 = 0 if index==1
replace tejdate2 = 0 if index==1
drop index



*clean job id 
replace hours1 = 0 if job1_weeks_emp==0 
replace hours1 = 0 if tsjdate1==31
replace hours2 = 0 if job2_weeks_emp==0 
replace hours2 = 0 if tsjdate2==31
replace job1 = 0 if occ14_1 == 0
replace job1 = 0 if hours1 <= 0
replace job1 = 0 if earn1 <= 0 & rate1<=0
replace job2 = 0 if occ14_2 == 0
replace job2 = 0 if hours2 == 0
replace job2 = 0 if earn2 <= 0 & rate2<=0


*gen multjob
gen index = job1>0
gen index2 = job2>0
gen multjob = index+index2
replace multjob = multjob>1
drop index index2


*generate monthly hours under assumption of smooth 4.3 weeks/month
replace hours1 = 0 if job1<1
replace hours2 = 0 if job2<1

gen weeks_emp = -1
replace weeks_emp = 4.3 if job1>0
replace weeks_emp = (tejdate1-tsjdate1)/7 if job1>0 & tsjdate1>1 & tejdate1<28 & tejdate1>0
replace weeks_emp = (tejdate1)/7 if job1>0 & tejdate1<28 & tejdate1>0 & tsjdate1==0
replace weeks_emp = (31-tsjdate1)/7 if job1>0 & tsjdate1>1 & tejdate1==0
gen hours1_m = 0
replace hours1_m = weeks_emp*hours1 if job1>0 
drop weeks_emp
gen weeks_emp = -1
replace weeks_emp = 4.3 if job2>0
replace weeks_emp = (tejdate2-tsjdate2)/7 if job2>0 & tsjdate2>1 & tejdate2<28 & tejdate2>0
replace weeks_emp = (tejdate2)/7 if job2>0 & tejdate2<28 & tejdate2>0 & tsjdate2==0
replace weeks_emp = (31-tsjdate2)/7 if job2>0 & tsjdate2>1 & tejdate2==0
gen hours2_m = 0
replace hours2_m = weeks_emp*hours2 if job2>0 
drop weeks_emp

cd "$rootdir/tmp" 
save test, replace

*compute hourly wages 
gen earn1_h = rate1
replace earn1_h = earn1/hours1_m if job1>0 & earn1_h==0
gen earn2_h = rate2
replace earn2_h = earn2/hours2_m if job2>0 & earn2_h==0
label var earn1_h "Hourly wage"
label var earn2_h "Hourly wage"


*generate potential experience
sort id year month
gen index=0
replace index = year if emp>0 & labor_e_p==.
gen index2 = index
replace index2 = 10000000 if index2==0
by id: egen index3 = min(index2)
replace labor_e_p = index3 if index>0
drop index index2 index3
sort id year month
replace labor_e_p = 100000 if emp==0
by id: egen index = min(labor_e_p)
replace index=0 if index==100000
replace labor_e_p = year-index
replace labor_e_p=0 if labor_e_p==.
replace labor_e_p=0 if labor_e_p<0
replace labor_e_p=0 if index<1900
drop index
label var labor_e_p "Years of potential experience"

*generate experience
sort id year month
gen index=0
replace index = 1 if emp>0 & labor_e==.
gen index2 = index
replace index2 = 10000000 if index2==0
by id: egen index3 = min(index2)
replace labor_e = index3 if index>0
drop index index2 index3
sort id year month
replace labor_e = 100000 if emp==0
by id: egen index = min(labor_e)
replace index = 0 if index==100000
replace labor_e = index
drop index
sort id year month
egen id_year = group(id year)
sort id_year month
by id_year: egen id_year_emp=sum(emp)
replace id_year_emp = id_year_emp>=6
gen diff_year = id_year[_n]-id_year[_n-1]
replace id_year_emp =0 if diff_year==0
drop diff_year
sort id year month
by id: replace id_year_emp = sum(id_year_emp)
replace labor_e = labor_e+id_year_emp
drop id_year id_year_emp
sort id year month
label var labor_e "Years of experience"


cd "$rootdir/tmp" 
save test, replace
 
*gen main job
sort id year month
gen main_job = job1
replace main_job = job2 if hours1<hours2
replace main_job = job2 if hours1==hours2 & tm8214==job2
by id: gen index_b1 = job1[_n-1]
replace index_b1 = -10 if index_b1==.
by id: gen index_a1 = job1[_n+1]
replace index_a1 = -10 if index_a1==.
by id: gen index_b2 = job2[_n-1]
replace index_b2 = -10 if index_b2==.
by id: gen index_a2 = job2[_n+1]
replace index_a2 = -10 if index_a2==. 
by id: gen emp_b = emp[_n-1]
replace emp_b = -10 if emp_b==.
by id: gen emp_a = emp[_n+1]
replace emp_a = -10 if emp_a==.
gen index = 0
replace index = 1 if multjob==1 & main_job!= index_a1 & main_job!= index_b1 & main_job != index_a2 & main_job != index_b2 & index_a1 !=-10 & index_b1 !=-10 & index_a2 !=-10 & index_b2 !=-10 & emp_a!=0 & emp_b!=0
gen index2 = 0
replace index2 = 1 if index==1 & (job1 == index_a1 | job1 == index_b1 | job2 == index_a2 | job2 == index_b2)
replace main_job = job1 if index2==1 & (job1 == index_a1 | job1 == index_b1)
replace main_job = job2 if index2==1 & (job2 == index_a2 | job2 == index_b2)
drop index index2 index_b1 index_b2 index_a1 index_a2 emp_b emp_a


*summarize main job
label define yesno 1 "Yes" 0 "No"
gen job_id=0
label var job_id "Firm id"
gen job_occ=0
label var job_occ "Occupation"
copydesc occ14_1 job_occ
gen job_ind=0
label var job_ind "Industry"
copydesc ind23_1 job_ind
gen job_hourly = 0
label var job_hourly "Payed by the hour"
label values job_hourly yesno
gen job_earn_h=0
label var job_earn_h "Hourly wages"
gen job_imp=0
label var job_imp "Wage imputed"
label values job_imp yesno
gen job_day_s=0
label var job_day_s "Job day started"
gen job_mo_s=0
label var job_mo_s "Job month started"
gen job_day_e=0
label var job_day_e "Day job ended"
gen job_mo_e=0
label var job_mo_e "Month day started"
gen job_reas_e=0
label var job_reas_e "Reason quitted"
copydesc ersend1 job_reas_e
gen job_union_m=0 
label var job_union_m "Union mmber"
copydesc union1 job_union_m
gen job_union_c=0 
label var job_union_c "Union contracted"
label values job_union_c yesno
gen job_class=0 
label var job_class "Class of worker"
gen self =2
label var self "Self employed income"
label define self 1 "Yes" 2 "No"
gen index = 0
replace index=1 if main_job==job1
replace index=2 if main_job==job2
replace job_id = main_job
replace job_occ = occ14_1 if index==1
replace job_occ = occ14_2 if index==2
replace job_ind = ind23_1 if index==1
replace job_ind = ind23_2 if index==2
replace job_hourly = hrly1 if index==1
replace job_hourly = hrly2 if index==2
replace job_earn_h = earn1_h if index==1
replace job_earn_h = earn2_h if index==2
replace job_imp = w_imp1 if index==1
replace job_imp = w_imp2 if index==2
replace job_day_s = tsjdate1 if index==1
replace job_day_s = tsjdate2 if index==2
replace job_mo_s = smonth1 if index==1
replace job_mo_s = smonth2 if index==2
replace job_day_e = tejdate1 if index==1
replace job_day_e = tejdate2 if index==2
replace job_mo_e = emonth1 if index==1
replace job_mo_e = emonth2 if index==2
replace job_reas_e = ersend1 if index==1
replace job_reas_e = ersend2 if index==2
replace job_union_m = union1 if index==1
replace job_union_m = union2 if index==2
replace job_union_c = ecntrc1 if index==1
replace job_union_c = ecntrc2 if index==2
replace job_class = class1 if index==1
replace job_class = class2 if index==2
replace self = selfinc1 if index==1
replace self = selfinc2 if index==2
replace self = self>0
drop index main_job

replace job_ind=0 if job_id==0
replace job_occ=0 if job_id==0
replace job_union_m=0 if job_id==0
replace job_earn_h=0 if job_id==0

*label worker class
replace job_class = 6 if job_class==7
label define job_class 1 "Private" 2 "Non-profit" 3 "Federal" 4 "StateGov" 5 "LocalGov" 6 "ArmedFor/Unpaid"  



*gen tenure
sort id year month
by id: egen id1_t = max(tm8214)
by id: egen id2_t = max(tm8216)
gen id_t = 0
replace id_t = id1_t if id1_t>0
replace id_t = id2_t if id2_t>0
drop id1_t id2_t tm8214 tm8216
gen index = 0
replace index = 1 if id_t==job_id
replace index=0 if job_id==0
by id: egen index2 = max(tenure1_m)
replace index2 = 0 if index2==.
by id: egen index3 = max(tenure1_y)
replace index3 = 0 if index3==.
replace index3 = year-index3
replace index3=0 if index3>=100
replace index3 = index3*12
replace index3 = index3-index2+month+1 if index2>0
gen index4 = 0
replace index4 = 1 if index3<0
by id: egen index5 = max(index4)
replace index3= 0 if index5==1
drop index4 index5
rename index3 tenure
replace tenure = 0 if index==0
drop index index2 tenure1_m tenure1_y
egen per_job = group(id job_id)
sort per_job year month
by per_job: gen job_ten = _n
replace job_ten = job_ten
gen index2 = 0
replace index2 = 1 if job_id>0 & tenure==0
replace tenure = job_ten if index2==1
drop index index2 per_job job_ten id_t      

cd "$rootdir/tmp" 
save test, replace


keep id srefmon wave age month year panel flag_jobid_chan rot labor_e_p labor_e esr emp multjob job_id job_occ job_ind job_hourly job_earn_h job_imp job_day_s job_mo_s job_day_e job_mo_e job_reas_e job_class job_union_m job_union_c self tenure rwkesr1 rwkesr2 rwkesr3 rwkesr4 rwkesr5


*clean up
replace panel = 1993
replace esr = 0 if esr==.
sort id year month
label data "Set D: Employment, SIPP1993"

cd "$rootdir/output"
save "/Uni/Het Agents/Daten/SIPP/1993 Revise/output/set_d.dta", replace
sum
clear

