* Longitudinal data: create two files 1) by id wave; 2) by id wave month

* id month
cd "$rootdir/rawdata"
use $idr age* using sipp93l1, clear
cd "$rootdir/tmp"  
save test1, replace
	
cd "$rootdir/rawdata"
use id careco* caidco* using sipp93l2, clear
cd "$rootdir/tmp"  
save test2, replace
	
cd "$rootdir/rawdata"
use id hiownc* hi_otc* champ* hiempl* using sipp93l3, clear
cd "$rootdir/tmp"  
save test3, replace
sort id
merge id using test2
rename _merge tst1
sort id
merge id using test1
rename _merge tst2
save testm, replace
renpfix age_ age
renpfix age0 age
renpfix careco0 careco
renpfix caidco0 caidco
renpfix hiownc0 hiownc
renpfix hi_otc0 hi_otc
renpfix champ_ champ
renpfix champ0 champ
renpfix hiempl0 hiempl
	
reshape long careco caidco hiownc hi_otc champ hiempl age , i(id) j(mnth)
	
cd "$rootdir/programs/recode"
do monthwave93.do
cd "$rootdir/tmp"  

count if id==""
drop if id==""
sort id wave month
save testm, replace
	
* Core data
local i=1 
cd "$rootdir/rawdata"
use $ids month year hiind hipay medcode hipay emplyr nonhhi hitype hisrc hifam using sipp93w`i', clear
sort $ids
cd "$rootdir/tmp" 
save test, replace
local i=`i'+1
while `i'>=2 & `i'<10 {
cd "$rootdir/rawdata"	
use $ids month year hiind hipay medcode hipay emplyr nonhhi hitype hisrc hifam using sipp93w`i', clear
sort $ids
cd "$rootdir/tmp" 
append using test
sort $ids
save test, replace
local i=`i'+1
} 

sort id wave month
cd "$rootdir/tmp" 
save test, replace
use testm, clear
merge id wave month using test
tab _merge
rename _merge m1tst
	
save test, replace

* give uniform names, as necessary
rename hiind ehimth
rename careco ecrmth
rename medcode rmedcode
rename caidco ecdmth
rename champ rchampm
rename hipay ehicost
rename nonhhi ehiothr
	
drop if m1tst~=3
drop m1tst 
save test, replace
erase testm.dta
	
replace year=year+1900

* To make vars consistent w/ 96/01 coding
recode ehimth (0=2)
recode ehicost (0=-1)
recode hiownc (0=-1) (2=0)
recode hi_otc (0=-1) (2=0)
recode rmedcode (0=-1)
recode rchampm (0=-1)
recode ecrmth (0=-1)
recode ecdmth (0=-1)	
recode ehiothr (0=.) (2=1) (3=1) (4=1) (5=1) (6=1) (7=1) (8=0)

	
label define yesno 0 "No" 1 "Yes"
label values ehiothr yesno
recode ehimth   (2=0)

notes ehimth: SIPP var <hiind> in 92/93 and <ehimth> in 96/01.
notes ehicost: SIPP var <hipay> in 92/93 and <ehicost> in 96/01.
notes rmedcode: SIPP var <medcode> in 92/93 and <rmedcode> in 96/01.
notes ecrmth: SIPP var <careco> in 92/93 and <ecrmth> in 96/01.
notes ecdmth: SIPP var <caidco> in 92/93 and <ecdmth> in 96/01.
notes rchampm: SIPP var <champ> in 92/93 and <rchampm> in 96/01.

* recode all -1 to missing values
mvdecode _all, mv(-1)

sum
notes hisrc: 1996 and 2000 panels are different from earlier panels.

*Health insurance coverage:
gen byte himth = ehimth==1 | ecdmth==1 | ecrmth==1 
label var himth "Has ANY Health Ins. this month" 

*Private Health insurance coverage: 
gen byte privhimth=ehimth==1 
label var privhimth "Has private health ins. this month" 

*Medicare coverage
gen byte medcarmth = ecrmth==1 
label var medcarmth "Has Medicare this month"

*Medicaid coverage
gen byte medcaidmth = ecdmth==1 
label var medcaidmth "Has Medicaid this month"

*Military coverage
gen byte milmth = rchampm==1 
label var milmth "Has Military coverage this month"

drop ehimth ecrmth ecdmth rchampm

*gen  byte ephi_t = hiempl==1
gen ephi_t = 0
replace ephi_t = 1 if ehicost==1 | ehicost==2

label var ephi_t "Has employer provided coverage this month"
*notes: <ephi> includes present and past employer for all panels; union provided for 96 and 01 only.

rename hiownc own_cov
rename hi_otc oth_cov
gen both_cov = own_cov==1 & oth_cov==1
replace own_cov=. if (oth_cov~=1 & own_cov~=1 & both_cov~=1)
replace oth_cov=. if (oth_cov~=1 & own_cov~=1 & both_cov~=1)
replace both_cov=. if (oth_cov~=1 & own_cov~=1 & both_cov~=1)
gen own_covt=own_cov 
replace own_covt=0 if both_cov==1
gen oth_covt=oth_cov
replace oth_covt=0 if both_cov==1
sum own_cov* oth_cov* 
replace own_cov=own_covt
replace oth_cov=oth_covt
drop oth_covt own_covt
sum own_cov oth_cov both_cov

label var own_cov "Covered by own plan"
label define own 1 "Own plan" 0 "Not only own plan"
label values own_cov own

label var oth_cov "Covered by someone else's plan"
label define oth 1 "Other's plan" 0 "Not other's"
label values oth_cov oth

label var both_cov "Covered by own and else's plan"
label define bth 1 "Both own/other's plan" 0 "Not both"
label values both_cov bth

* Generate own versus other coverage
gen byte ownboth = own_cov==1 | both_cov==1 
gen byte othboth = oth_cov==1 | both_cov==1 
label var ownboth "HI through self or both self & other"
label var othboth "HI through other or both self & other"

*Clean ephi so that it only includes those who have hi coverage in their own name
gen byte re_ephi = 0 
replace re_ephi = 1 if ephi_t==1 & own_cov==1
rename re_ephi ephi
label var ephi "Had Emplyr-provided HI this month"

keep id month year wave srefmon rot age ephi emplyr

sort id year month
sum
label data "Set H: Health Insurance Coverage, SIPP1993"
cd "$rootdir/output"
save "/Uni/Het Agents/Daten/SIPP/1993 Revise/output/set_h.dta", replace
clear

