local i=1
cd "$rootdir/rawdata"
use $ids ssuid epppnum rot rhcalmn rhcalyr esex erace rfnkids eorigin tage ems edisabl renroll eenrlm eeducate tmetro tmsa tfipsst using sipp96l`i'.dta, clear
sort $ids
cd "$rootdir/tmp"
save test, replace
local i = `i'+1
while `i'>1 & `i'<13 {
cd "$rootdir/rawdata"
use $ids ssuid epppnum rot rhcalmn rhcalyr esex erace rfnkids eorigin tage ems edisabl renroll eenrlm eeducate tmetro tmsa tfipsst using sipp96l`i'.dta, clear
sort $ids
cd "$rootdir/tmp"
append using test
sort $ids
save test, replace
local i=`i'+1
} 
sort id rot
save test, replace
        
cd "$rootdir/rawdata"
use id rot rcitiznt erelat* using sipp96t2, clear
cd "$rootdir/tmp"
sort id rot 
merge id rot using test
tab _merge
drop if _merge==1
drop _merge
        
* give uniform names, as necessary
rename esex sex
rename erace race
rename eorigin ethnic
rename tage age
rename ems ms
rename edisabl disabled
rename renroll ststat
rename eenrlm student
rename tmetro metro
rename tmsa msa
rename tfipsst sipp_st
rename rhcalyr year
notes year: SIPP: rhcalyr (96,01,04)
rename rhcalmn month
notes month: SIPP: rhcalmn (96,01,04)
        
save test, replace

rename sex female
notes female: SIPP: sex (92,93); esex (96,01)
recode female 1=0
recode female 2=1
label define female 0 "Male" 1 "Female"
label values female female
label var female "Female"

label var age "Age"

label define ethnic 1 "Canadian" 2 "Dutch" 3 "English" 4 "French" 5 "French-Canadian" 6 "German" 7 "Hungarian" 8 "Irish" 9 "Italian" 10 "Polish" 11 "Russian" 12 "Scandinavian" 13 "Scotch-Irish" 14 "Scottish" 15 "Slovak" 16 "Welsh" 17 "Other European" 20 "Mexican" 21 "Mexican-American" 22 "Chicano" 23 "Puerto Rican" 24 "Cuban" 25 "Central American" 26 "South American" 27 "Dominican Republic" 28 "Other Hispanic" 30 "African-American or Afro-American" 31 "American Indian, Eskimo, or Aleut" 32 "Arab" 33 "Asian" 34 "Pacific Islander" 35 "West Indian" 39 "Another group not listed" 40 "American"
label values ethnic ethnic

label variable ethnic "Ethnic Origin (96,01,04 differ)"
notes ethnic: SIPP: ethnicty (92,93); eorigin (96,01) ; not avail (04)

rename race race1
gen race04 = race1
label define race1 1 "White" 2 "Black" 3 "IndOrEsk" 4 "AsianPac"
label values race1 race1
label define erace04 1 "White alone" 2 "Black alone" 3 "Asian alone" 4 "Residual"
label val race04 erace04 
label var race1 "SIPP race (unedited), 2001 panel and before"
label var race04 "SIPP race (unedited), 2004,2008 panels"

replace race04 = .

gen race = 1 if race1==1 & (ethnic<20 | ethnic>28)
replace race = 2 if race1==2 & (ethnic<20 | ethnic>28)
replace race = 3 if (ethnic>=20 & ethnic<=28)
replace race = 4 if race1>2 & (ethnic<20 | ethnic>28) & race1~=.

label define race_cepr 1 "White" 2 "Black" 3 "Hispanic" 4 "Other"
label values race race_cepr
label var race "Race (W,B,H,O)"
notes race: 92-93 panels, generated from SIPP race and ethnicty
notes race: 96-04 panels, generated from SIPP erace and eorigin

rename rcitiznt citizen
notes citizen: SIPP: rcitiznt (96)

label define citizen 1 "Native" 2 "Naturalized" 3 "Not a naturalized citizen", modify
label values citizen citizen
label var citizen "Citizenship status"

notes citizen: "citizen" is constant over the entire panel.
notes citizen: "citizen" is from T2.
	

recode disabled 2 = 0
label var disabled "Disability that limits work"
notes disabled: "disabled" is asked once per wave.
label define lmtwk 1 "disabled" 0 "not disabled", modify
label values disabled lmtwk
notes disabled: SIPP: disab (92,93); edisabl (96,01,04,08)

label var ms "Marital Status"
notes ms: SIPP: ems (96,01,04)

egen cohab = eqany(erelat01-erelat30), values(2)
egen cohab_ = max(cohab), by(id)
drop cohab
rename cohab_ cohab
drop erelat*
notes cohab: SIPP: erelat01-erelat30
notes cohab: "cohab" is constant over the entire panel.
notes cohab: "cohab" is from T2.

label define ststat 1 "ft" 2 "pt" 3 "not enrolled"
label values ststat
label var ststat "school status"
notes ststat: SIPP: att_sch (92,93); renroll (96,01,04)
notes ststat: "ststat" is asked once per wave.

recode student 2=0
label define student 0 "not student this month" 1 "student this month" 
label values student student
recode student -1=0

label var student "student this month"
notes student: SIPP: enrl_m (92,93); eenrlm (96,01,04)


label define educ 1 "less than high school" 2 "high school grad" 3 "some college" 4 "college degree" 5 "post-college" 

gen educ = 1 if eeducate<=38 & eeducate~=.
replace educ = 2 if eeducate==39
replace educ = 3 if eeducate>=40 & eeducate<=43
replace educ = 4 if eeducate>=44
*replace educ = 5 if eeducate>=45 & eeducate<=48
drop eeducate
notes educ: "educ" is asked once per wave.
notes educ: SIPP: eeducate (96,01,04,08)

label var educ "Educational Attainment"
label values educ educ

* Geography

recode metro (2 = 0)
if "$p" == "04" recode metro (3 = 0)
label define metro 1 "Metro" 0 "Residual", modify
label values metro metro
label var metro "Metropolitan Residence"
notes metro: SIPP: hmetro (92,93); tmetro (96,01,04,08)

if "$p" == "04" | "$p" == "08" gen msa = .
notes msa: SIPP: hmsa (92,93); tmsa (96,01); not avail. (04,08)


recode sipp_st 0=.
gen state=sipp_st


recode state 02 = 63
recode state 16 = 63
recode state 19 = 62
recode state 30 = 63


gen region = 1 if state==61 | state == 33 | state == 13 | state == 25 | state == 44 | state == 09 
replace region = 2 if state==34 | state == 42 | state == 36 
replace region = 3 if state==17 | state == 18 | state == 26 | state == 39 | state == 55 
replace region = 4 if state==62 | state == 27 | state == 31 | state == 20 | state == 29 
replace region = 5 if state==10 | state == 24 | state == 11 | state == 54 | state == 51 | state == 37 | state == 45 | state == 13 | state == 12
replace region = 6 if state==21 | state == 47 | state == 01 | state == 28
replace region = 7 if state==48 | state == 22 | state == 40 | state == 05
replace region = 8 if state==63 | state == 32 | state == 49 | state == 08 | state == 04 | state == 35
replace region = 9 if state==53 | state == 41 | state == 06 | state == 15
label var region "Census Region (9)"
label define reglbl 1 "New England" 2 "Middle Atlantic" 3 "E. North Central" 4 "W. North Central" 5 "South Atlantic" 6 "E. South Central" 7 "W. South Central" 8 "Mountain" 9 "Pacific"
label values region reglbl
notes region: SIPP: geo_ste (92,93); tfipsst (96,01,04)

notes age: SIPP: tage (96,01,04,08)

egen idst = concat(ssuid epppnum)
keep $ids idst year month age female race disabled ms educ student metro state region student rfnkids

replace region=0 if region==.  
replace state=0 if state==.
aorder
sum

sort idst year month
label data "Set B: Demographics, SIPP1996"
cd "$rootdir/output"
save "/Uni/Het Agents/Daten/SIPP/1996 CEPR/output/set_b.dta", replace

clear
