local i=1
cd "$rootdir/rawdata"
use $ids ssuid epppnum rot rhcalyr rhcalmn rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi tage ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 ehirsn11 ehirsn12 rcuow58* easst10 using sipp96l`i'.dta, clear
sort $ids
cd "$rootdir/tmp"
save test, replace
local i = `i'+1
while `i'>1 & `i'< 13 {
cd "$rootdir/rawdata"
use $ids rot ssuid epppnum rhcalyr rhcalmn rcutyp57 rcutyp58 ehimth ecrmth ecdmth rmedcode enonhh rchampm rprvhi tage ehiunt1 ehiunt2 ehiunt3 ehispse ehioldkd ehiyngkd ehiothr ehiowner ehemply ehicost ehirsn01 ehirsn02 ehirsn03 ehirsn04 ehirsn05 ehirsn06 ehirsn07 ehirsn08 ehirsn09 ehirsn10 ehirsn11 ehirsn12 rcuow58* easst10 using sipp96l`i'.dta, clear
sort $ids
cd "$rootdir/tmp"
append using test
sort $ids
save test, replace
local i=`i'+1
} 
rename rhcalyr year
rename rhcalmn month
rename tage age
rename easst10 emplyr

replace emplyr = 0 if emplyr==-1

label define yesno 0 "No" 1 "Yes"
label values ehiothr yesno
recode ehimth   (2=0)

notes ehimth: SIPP var <hiind> in 92/93 and <ehimth> in 96/01.
notes ehicost: SIPP var <hipay> in 92/93 and <ehicost> in 96/01.
notes rmedcode: SIPP var <medcode> in 92/93 and <rmedcode> in 96/01.
notes ecrmth: SIPP var <careco> in 92/93 and <ecrmth> in 96/01.
notes ecdmth: SIPP var <caidco> in 92/93 and <ecdmth> in 96/01.
notes rchampm: SIPP var <champ> in 92/93 and <rchampm> in 96/01.

* recode all -1 to missing values
mvdecode _all, mv(-1)

recode ehiyngkd (2=0)
recode ehioldkd (2=0)
recode ehirsn01 (2=0)
recode ehirsn02 (2=0)
recode ehirsn03 (2=0)
recode ehirsn04 (2=0)
recode ehirsn05 (2=0)
recode ehirsn06 (2=0)
recode ehirsn07 (2=0)
recode ehirsn08 (2=0)
recode ehirsn09 (2=0)
recode ehirsn10 (2=0)
recode ehirsn11 (2=0)
recode ehirsn12 (2=0)
recode ehispse  (2=0)
recode rchampm 	(2=0)
recode enonhh   (2=0)
recode ehiothr  (2=0)

gen hisrc = ehemply
notes hisrc: 1996 and 2000 panels are different from earlier panels.

*Health insurance coverage:
gen byte himth = ehimth==1 | ecdmth==1 | ecrmth==1 
label var himth "Has ANY Health Ins. this month" 

*Private Health insurance coverage: 
gen byte privhimth=ehimth==1 
label var privhimth "Has private health ins. this month" 

*Medicare coverage
gen byte medcarmth = ecrmth==1 
label var medcarmth "Has Medicare this month"

*Medicaid coverage
gen byte medcaidmth = ecdmth==1 
label var medcaidmth "Has Medicaid this month"

*Military coverage
gen byte milmth = rchampm==1 
label var milmth "Has Military coverage this month"

drop ehimth ecrmth ecdmth rchampm

gen  byte ephi_t = ehemply==1 | ehemply==2 | ehemply==3

label var ephi_t "Has employer provided coverage this month"


gen byte own_cov= ehiowner==1 & ehiowner>=1 & ehiowner<=3
gen byte oth_cov = ehiowner==2 & ehiowner>=1 & ehiowner<=3
gen byte both_cov =ehiowner==3 & ehiowner>=1 & ehiowner<=3
replace own_cov=. if (both_cov~=1 & own_cov~=1 & oth_cov~=1)
replace oth_cov=. if (both_cov~=1 & own_cov~=1 & oth_cov~=1)
replace both_cov=. if (both_cov~=1 & own_cov~=1 & oth_cov~=1)

label var own_cov "Covered by own plan"
label define own 1 "Own plan" 0 "Not own plan"
label values own_cov own

label var oth_cov "Covered by someone else's plan"
label define oth 1 "Other's plan" 0 "Not other's"
label values oth_cov oth

label var both_cov "Covered by own and else's plan"
label define bth 1 "Both own/other's plan" 0 "Not both"
label values both_cov bth

* Generate own versus other coverage
gen byte ownboth = own_cov==1 | both_cov==1 /* if own_cov!=.*/
gen byte othboth = oth_cov==1 | both_cov==1 /* if oth_cov!=.*/
label var ownboth "HI through self or both self & other"
label var othboth "HI through other or both self & other"

*Clean ephi so that it only includes those who have hi coverage in their own name
gen byte re_ephi = 0 
replace re_ephi = 1 if ephi_t==1 & own_cov==1
rename re_ephi ephi
label var ephi "Had Emplyr-provided HI this month"

egen idst = concat(ssuid epppnum)

keep id idst month year wave srefmon rot age ephi emplyr

sort idst year month
sum

label data "Set H: Health Insurance Coverage, SIPP1996"
cd "$rootdir/output"
save "/Uni/Het Agents/Daten/SIPP/1996 CEPR/output/set_h.dta", replace
clear
