cd "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion"
use id_panel age month wpfinwgt year disabled educ female metro region state rfnkids labor_e esr emp job_id job_occ job_ind job_earn_h job_union_c job_hourly job_imp tenure id_panel time married white race using final_CEPR, clear
egen id = group(id_panel)

gen labor_e2 = labor_e^2
keep if emp==1


*keep if job_hourly==1
keep if job_imp==0

replace job_earn_h = log(job_earn_h)

sort id time
by id: egen weight = mean(wpfinwgt)
by id: egen earn_mean = mean(job_earn_h)
gen job_earn_h_dem = job_earn_h-earn_mean

reg job_earn_h i.age i.disabled i.educ i.female i.married i.race i.rfnkids i.state i.time labor_e labor_e2 [pweight=wpfinwgt]
predict yhat
gen resid= job_earn_h-yhat
gen resid_w = exp(resid)

sort id time

keep id time job_earn_h resid_w wpfinwgt age married disabled educ race female region rfnkids job_occ labor_e year
order id time job_earn_h resid_w wpfinwgt age married disabled educ race female region rfnkids job_occ labor_e year

*used by FWD.m
save "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion/fwd_final.dta", replace
outsheet using fwd_final, comma nolabel nonames replace
clear
