cd "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion"
use id_panel month wpfinwgt year disabled educ female metro region state rfnkids labor_e esr emp job_id job_occ job_ind job_earn_h job_union_c job_hourly job_imp tenure id_panel time married white race using final_CEPR, clear

egen id = group(id_panel)

drop id_panel
gen labor_e2 = labor_e^2

replace emp = 0 if job_earn_h == 0
replace emp=0 if job_earn_h == .
replace job_earn_h = log(job_earn_h)

sort id year month

*compute eu movements
gen d_id = id[_n]-id[_n-1]
replace d_id=0 if _n==1
replace d_id=1 if d_id!=0
gen d_eu = emp[_n]-emp[_n-1]
replace d_eu=0 if _n==1
replace d_eu=0 if d_id==1
replace d_eu=0 if d_eu==1
replace d_eu=1 if d_eu==-1
by id: replace d_eu = d_eu[_n+1]
replace d_eu=0 if d_eu==.

*compute ue movements
gen d_ue = emp[_n]-emp[_n-1]
replace d_ue=0 if _n==1
replace d_ue=0 if d_id==1
replace d_ue=0 if d_ue==-1

sort id year month

*find households with eu and ue movement (first drop all obs until eu move)
by id: gen index = sum(d_eu)
drop if index==0
drop if index>1
drop index

by id: egen index_eu=max(d_eu)
by id: egen index_ue=max(d_ue)
gen index=0
replace index=1 if index_eu==1 & index_ue==1
keep if index==1
drop index index_eu index_ue
sort id year month

*recalculate d_id
drop d_id
gen d_id = id[_n]-id[_n-1]
replace d_id=0 if _n==1
replace d_id=1 if d_id!=0

*drop movements after ue move
by id: gen index = sum(d_ue)
by id: gen index2 = index[_n-1]
replace index2=0 if d_id==1 & d_eu==1
replace index2=0 if _n==1
drop if index2==1
drop index index2


*generate unemployment duration
by id: gen dura = _N-1

*reduce each household to one observation
by id: gen wage_old = job_earn_h[1] 
by id: gen wage_new = job_earn_h[_N] 
by id: gen count = _n
by id: egen count2 = max(count)
keep if count==count2
drop count count2

*stratefy data
keep if job_imp==0

reg wage_ne dura i.disabled i.educ i.female i.married i.race i.rfnkids i.job_occ i.state i.time labor_e labor_e2 [pweight=wpfinwgt]

