cd "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion"
use id_panel month wpfinwgt year disabled educ female metro region state rfnkids labor_e esr emp job_id job_occ job_ind job_earn_h job_union_c job_hourly job_imp tenure id_panel time married white race using final_CEPR, clear

egen id = group(id_panel)
drop id_panel

*compute job spells
gen d_id = id[_n]-id[_n-1]
replace d_id=0 if _n==1
replace d_id=1 if d_id!=0
gen d_jid = job_id[_n]-job_id[_n-1]
replace d_jid=0 if _n==1
replace d_jid=0 if d_id==1
replace d_jid=1 if d_jid!=0

keep if emp == 1
keep if d_jid==1

*stratefy data
keep if job_imp==0


gen labor_e2 = labor_e^2
replace job_earn_h = log(job_earn_h)


*use individual fixed effects
sort id
by id: gen nr = _N
drop if nr<2
by id: egen panel_weight = mean(wpfinwgt)

xtset id time
xtreg job_earn_h i.time labor_e labor_e2 [pweight=panel_weight], fe

