*directory
global rootdir /Uni/Het Agents/Daten/SIPP

*merge datasets
cd "$rootdir/1993 CEPR/output"
use final_1993, clear
cd "$rootdir/1996 CEPR/output"
merge id_panel year month  using final_1996
tab _merge
drop _merge
sort id_panel year month


*generate new job when occupation changes (too keep original job_id, just delete paragraph)
egen job_id2 = group(id_panel job_id job_occ)
*egen job_id2 = group(id_panel job_id)
*egen job_id2 = group(id_panel job_occ)
replace job_id2=0 if job_id==0
by id_panel: egen index = max(job_id2)
gen index2 = job_id2
replace index2 = index if job_id2==0
by id_panel: egen index3 = min(index2)
replace index3 = index3-1 if index3>0
replace job_id = job_id2-index3 if job_id>0
drop index index2 index3 job_id2 
sort id_panel year month 

egen time=group(year month)


*delete persons that are recalled from employer or have missing months during job
egen id_job= group(id_panel job_id)

*trick is that now sorting is by job id number
sort id_job time
by id_job: gen index2 = time[_n]-time[_n-1]
replace index2=1 if index2==.
replace index2=1 if job_id==0
sort id_panel time
by id_panel: egen index3 = max(index2)
replace index3=0 if index3>1
drop if index3==0


sort id_panel time


*stratefy by age
drop if age<23
drop if age>55

*define unemployment/OLF
drop if esr ==.
replace emp= 1 if esr == 1 
replace emp= 1 if esr == 2
replace emp= 0 if esr == 6
replace emp= 0 if esr == 7
replace emp= 0 if esr == 8
*replace emp= 0 if esr == 3
*replace emp= 0 if esr == 4
*replace emp= 0 if esr == 5
replace emp= 1 if esr == 3
replace emp= 1 if esr == 4
replace emp= 1 if esr == 5
replace emp=0 if job_earn_h==0 
replace emp= 0 if job_id==0
replace job_earn_h=0 if emp==0

*drop self-employed
replace self=0 if self==.
drop if self==1

*drop unpaid/armed forces and non-profit workers
drop if job_class==2 | job_class==6 

*flag industry
replace job_ind=0 if emp==0
drop if job_ind==.

*flag region
drop if region==0

*flag kids
replace rfnkids = 4 if rfnkids>=4

*redefine variables
gen married=0
replace married=1 if ms==1 | ms==2
drop ms
replace disabled=0 if disabled==-1
gen white=0
replace white=1 if race==1

*drop enroled students
drop if student==1
drop student

*relabel reason job ended
replace job_reas_e = -1 if job_reas_e==.

*compute truncation points
gen n = _n
preserve
keep if emp==1
pctile pct = job_earn_h,nq(100)
keep pct n
sort n
save "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion/aux_pct.dta", replace
restore
global rootdir /Uni/Het Agents/Daten/SIPP

*merge datasets and truncate distribution
cd "$rootdir/Frictional Wage Dispersion"
sort n
merge n using aux_pct
drop if job_earn_h<=pct[1] & emp==1
replace pct = -10 if pct==.
egen index = max(pct)
drop if job_earn_h>=index & emp==1
drop n _merge index pct


label data "SIPP CEPR"
save "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion/final_CEPR.dta", replace
clear

