cd "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion"
use id_panel age month wpfinwgt year disabled educ female metro region state rfnkids labor_e esr emp job_id job_occ job_ind job_earn_h job_union_c job_hourly job_imp tenure id_panel time married white race using final_CEPR, clear
egen id = group(id_panel)

*keep if job_hourly==1
keep if job_imp==0


keep if emp==1

replace job_earn_h = log(job_earn_h)

sort id time

by id: gen g = job_earn_h[_n]-job_earn_h[_n-1]  

* start of new agent
gen d_id = id[_n]-id[_n-1]
replace d_id=1 if _n==1
replace d_id=1 if d_id!=0

*missing months (includes unemployment spells and imputed spells)
sort id time
gen d_time = time[_n]-time[_n-1]
replace d_time = 1 if d_id==1


*drop ee movements
gen d_jid = job_id[_n]-job_id[_n-1]
replace d_jid=0 if _n==1
replace d_jid=1 if d_jid!=0

replace d_jid = 0 if d_id==1
drop if d_jid==1

*drop missing months and first obs
drop if d_time!=1
drop if d_id==1
drop d_time

sort id time
reg g i.time
predict yhat
gen resid= g-yhat

sort id time
gen d_time = time[_n]-time[_n-1]
replace d_time=0 if d_time==1
replace d_time=1 if d_time!=0
gen new_id = sum(d_time)
*drop d_time
sort new_id time

by new_id: gen lag_1 = resid[_n-1]
by new_id: gen lag_2 = resid[_n-2]
by new_id: gen lag_3 = resid[_n-3]
by new_id: gen lag_4 = resid[_n-4]
by new_id: gen lag_5 = resid[_n-5]
by new_id: gen lag_6 = resid[_n-6]
by new_id: gen lag_7 = resid[_n-7]
by new_id: gen lag_8 = resid[_n-8]
by new_id: gen lag_9 = resid[_n-9]
by new_id: gen lag_10 = resid[_n-10]
by new_id: gen lag_11 = resid[_n-11]
by new_id: gen lag_12 = resid[_n-12]
by new_id: gen lag_13 = resid[_n-13]
by new_id: gen lag_14 = resid[_n-14]


*Table D1
reg resid lag_1 lag_2 lag_3 lag_4 lag_5 lag_6 lag_7 lag_8 lag_9 lag_10 lag_11 lag_12 lag_13 lag_14, noconstant cluster(new_id)



keep new_id resid 

order new_id resid 

*used for estimation_main.m
save "/Uni/Het Agents/Daten/SIPP/Frictional Wage Dispersion/error_final.dta", replace
outsheet using error_final, comma nolabel nonames replace
clear
